## Uconv/EUCJP-OPEN
## Copyright 2004 by yoshidam
##

require 'uconv'

module Uconv
  EUCJPOPEN_UCS_MAP = {
    "\xad\xa1"=>0x2460,
    "\xad\xa2"=>0x2461,
    "\xad\xa3"=>0x2462,
    "\xad\xa4"=>0x2463,
    "\xad\xa5"=>0x2464,
    "\xad\xa6"=>0x2465,
    "\xad\xa7"=>0x2466,
    "\xad\xa8"=>0x2467,
    "\xad\xa9"=>0x2468,
    "\xad\xaa"=>0x2469,
    "\xad\xab"=>0x246a,
    "\xad\xac"=>0x246b,
    "\xad\xad"=>0x246c,
    "\xad\xae"=>0x246d,
    "\xad\xaf"=>0x246e,
    "\xad\xb0"=>0x246f,
    "\xad\xb1"=>0x2470,
    "\xad\xb2"=>0x2471,
    "\xad\xb3"=>0x2472,
    "\xad\xb4"=>0x2473,
    "\xad\xb5"=>0x2160,
    "\xad\xb6"=>0x2161,
    "\xad\xb7"=>0x2162,
    "\xad\xb8"=>0x2163,
    "\xad\xb9"=>0x2164,
    "\xad\xba"=>0x2165,
    "\xad\xbb"=>0x2166,
    "\xad\xbc"=>0x2167,
    "\xad\xbd"=>0x2168,
    "\xad\xbe"=>0x2169,
    "\xad\xc0"=>0x3349,
    "\xad\xc1"=>0x3314,
    "\xad\xc2"=>0x3322,
    "\xad\xc3"=>0x334d,
    "\xad\xc4"=>0x3318,
    "\xad\xc5"=>0x3327,
    "\xad\xc6"=>0x3303,
    "\xad\xc7"=>0x3336,
    "\xad\xc8"=>0x3351,
    "\xad\xc9"=>0x3357,
    "\xad\xca"=>0x330d,
    "\xad\xcb"=>0x3326,
    "\xad\xcc"=>0x3323,
    "\xad\xcd"=>0x332b,
    "\xad\xce"=>0x334a,
    "\xad\xcf"=>0x333b,
    "\xad\xd0"=>0x339c,
    "\xad\xd1"=>0x339d,
    "\xad\xd2"=>0x339e,
    "\xad\xd3"=>0x338e,
    "\xad\xd4"=>0x338f,
    "\xad\xd5"=>0x33c4,
    "\xad\xd6"=>0x33a1,
    "\xad\xdf"=>0x337b,
    "\xad\xe0"=>0x301d,
    "\xad\xe1"=>0x301f,
    "\xad\xe2"=>0x2116,
    "\xad\xe3"=>0x33cd,
    "\xad\xe4"=>0x2121,
    "\xad\xe5"=>0x32a4,
    "\xad\xe6"=>0x32a5,
    "\xad\xe7"=>0x32a6,
    "\xad\xe8"=>0x32a7,
    "\xad\xe9"=>0x32a8,
    "\xad\xea"=>0x3231,
    "\xad\xeb"=>0x3232,
    "\xad\xec"=>0x3239,
    "\xad\xed"=>0x337e,
    "\xad\xee"=>0x337d,
    "\xad\xef"=>0x337c,
    "\xad\xf0"=>0x2252,
    "\xad\xf1"=>0x2261,
    "\xad\xf2"=>0x222b,
    "\xad\xf3"=>0x222e,
    "\xad\xf4"=>0x2211,
    "\xad\xf5"=>0x221a,
    "\xad\xf6"=>0x22a5,
    "\xad\xf7"=>0x2220,
    "\xad\xf8"=>0x221f,
    "\xad\xf9"=>0x22bf,
    "\xad\xfa"=>0x2235,
    "\xad\xfb"=>0x2229,
    "\xad\xfc"=>0x222a,
    "\xb0\xa1"=>0x4e9c,
    "\x8f\xa2\xb7"=>0xff5e,
    "\x8f\xed\xe3"=>0x9fa5,
    "\x8f\xf3\xf3"=>0x2170,
    "\x8f\xf3\xf4"=>0x2171,
    "\x8f\xf3\xf5"=>0x2172,
    "\x8f\xf3\xf6"=>0x2173,
    "\x8f\xf3\xf7"=>0x2174,
    "\x8f\xf3\xf8"=>0x2175,
    "\x8f\xf3\xf9"=>0x2176,
    "\x8f\xf3\xfa"=>0x2177,
    "\x8f\xf3\xfb"=>0x2178,
    "\x8f\xf3\xfc"=>0x2179,
    "\x8f\xf3\xfd"=>0x2160,
    "\x8f\xf3\xfe"=>0x2161,
    "\x8f\xf4\xa1"=>0x2162,
    "\x8f\xf4\xa2"=>0x2163,
    "\x8f\xf4\xa3"=>0x2164,
    "\x8f\xf4\xa4"=>0x2165,
    "\x8f\xf4\xa5"=>0x2166,
    "\x8f\xf4\xa6"=>0x2167,
    "\x8f\xf4\xa7"=>0x2168,
    "\x8f\xf4\xa8"=>0x2169,
    "\x8f\xf4\xa9"=>0xff07,
    "\x8f\xf4\xaa"=>0xff02,
    "\x8f\xf4\xab"=>0x3231,
    "\x8f\xf4\xac"=>0x2116,
    "\x8f\xf4\xad"=>0x2121,
    "\x8f\xf4\xae"=>0x70bb,
    "\x8f\xf4\xaf"=>0x4efc,
    "\x8f\xf4\xb0"=>0x50f4,
    "\x8f\xf4\xb1"=>0x51ec,
    "\x8f\xf4\xb2"=>0x5307,
    "\x8f\xf4\xb3"=>0x5324,
    "\x8f\xf4\xb4"=>0xfa0e,
    "\x8f\xf4\xb5"=>0x548a,
    "\x8f\xf4\xb6"=>0x5759,
    "\x8f\xf4\xb7"=>0xfa0f,
    "\x8f\xf4\xb8"=>0xfa10,
    "\x8f\xf4\xb9"=>0x589e,
    "\x8f\xf4\xba"=>0x5bec,
    "\x8f\xf4\xbb"=>0x5cf5,
    "\x8f\xf4\xbc"=>0x5d53,
    "\x8f\xf4\xbd"=>0xfa11,
    "\x8f\xf4\xbe"=>0x5fb7,
    "\x8f\xf4\xbf"=>0x6085,
    "\x8f\xf4\xc0"=>0x6120,
    "\x8f\xf4\xc1"=>0x654e,
    "\x8f\xf4\xc2"=>0x663b,
    "\x8f\xf4\xc3"=>0x6665,
    "\x8f\xf4\xc4"=>0xfa12,
    "\x8f\xf4\xc5"=>0xf929,
    "\x8f\xf4\xc6"=>0x6801,
    "\x8f\xf4\xc7"=>0xfa13,
    "\x8f\xf4\xc8"=>0xfa14,
    "\x8f\xf4\xc9"=>0x6a6b,
    "\x8f\xf4\xca"=>0x6ae2,
    "\x8f\xf4\xcb"=>0x6df8,
    "\x8f\xf4\xcc"=>0x6df2,
    "\x8f\xf4\xcd"=>0x7028,
    "\x8f\xf4\xce"=>0xfa15,
    "\x8f\xf4\xcf"=>0xfa16,
    "\x8f\xf4\xd0"=>0x7501,
    "\x8f\xf4\xd1"=>0x7682,
    "\x8f\xf4\xd2"=>0x769e,
    "\x8f\xf4\xd3"=>0xfa17,
    "\x8f\xf4\xd4"=>0x7930,
    "\x8f\xf4\xd5"=>0xfa18,
    "\x8f\xf4\xd6"=>0xfa19,
    "\x8f\xf4\xd7"=>0xfa1a,
    "\x8f\xf4\xd8"=>0xfa1b,
    "\x8f\xf4\xd9"=>0x7ae7,
    "\x8f\xf4\xda"=>0xfa1c,
    "\x8f\xf4\xdb"=>0xfa1d,
    "\x8f\xf4\xdc"=>0x7da0,
    "\x8f\xf4\xdd"=>0x7dd6,
    "\x8f\xf4\xde"=>0xfa1e,
    "\x8f\xf4\xdf"=>0x8362,
    "\x8f\xf4\xe0"=>0xfa1f,
    "\x8f\xf4\xe1"=>0x85b0,
    "\x8f\xf4\xe2"=>0xfa20,
    "\x8f\xf4\xe3"=>0xfa21,
    "\x8f\xf4\xe4"=>0x8807,
    "\x8f\xf4\xe5"=>0xfa22,
    "\x8f\xf4\xe6"=>0x8b7f,
    "\x8f\xf4\xe7"=>0x8cf4,
    "\x8f\xf4\xe8"=>0x8d76,
    "\x8f\xf4\xe9"=>0xfa23,
    "\x8f\xf4\xea"=>0xfa24,
    "\x8f\xf4\xeb"=>0xfa25,
    "\x8f\xf4\xec"=>0x90de,
    "\x8f\xf4\xed"=>0xfa26,
    "\x8f\xf4\xee"=>0x9115,
    "\x8f\xf4\xef"=>0xfa27,
    "\x8f\xf4\xf0"=>0xfa28,
    "\x8f\xf4\xf1"=>0x9592,
    "\x8f\xf4\xf2"=>0xf9dc,
    "\x8f\xf4\xf3"=>0xfa29,
    "\x8f\xf4\xf4"=>0x973b,
    "\x8f\xf4\xf5"=>0x974d,
    "\x8f\xf4\xf6"=>0x9751,
    "\x8f\xf4\xf7"=>0xfa2a,
    "\x8f\xf4\xf8"=>0xfa2b,
    "\x8f\xf4\xf9"=>0xfa2c,
    "\x8f\xf4\xfa"=>0x999e,
    "\x8f\xf4\xfb"=>0x9ad9,
    "\x8f\xf4\xfc"=>0x9b72,
    "\x8f\xf4\xfd"=>0xfa2d,
    "\x8f\xf4\xfe"=>0x9ed1,
    "\x8f\xf5\xa1"=>0xe3ac,
    "\x8f\xf5\xa2"=>0xe3ad,
    "\x8f\xf5\xa3"=>0xe3ae,
    "\x8f\xf5\xa4"=>0xe3af,
    "\x8f\xf5\xa5"=>0xe3b0,
    "\x8f\xf5\xa6"=>0xe3b1,
    "\x8f\xf5\xa7"=>0xe3b2,
    "\x8f\xf5\xa8"=>0xe3b3,
    "\x8f\xf5\xa9"=>0xe3b4,
    "\x8f\xf5\xaa"=>0xe3b5,
    "\x8f\xf5\xab"=>0xe3b6,
    "\x8f\xf5\xac"=>0xe3b7,
    "\x8f\xf5\xad"=>0xe3b8,
    "\x8f\xf5\xae"=>0xe3b9,
    "\x8f\xf5\xaf"=>0xe3ba,
    "\x8f\xf5\xb0"=>0xe3bb,
    "\x8f\xf5\xb1"=>0xe3bc,
    "\x8f\xf5\xb2"=>0xe3bd,
    "\x8f\xf5\xb3"=>0xe3be,
    "\x8f\xf5\xb4"=>0xe3bf,
    "\x8f\xf5\xb5"=>0xe3c0,
    "\x8f\xf5\xb6"=>0xe3c1,
    "\x8f\xf5\xb7"=>0xe3c2,
    "\x8f\xf5\xb8"=>0xe3c3,
    "\x8f\xf5\xb9"=>0xe3c4,
    "\x8f\xf5\xba"=>0xe3c5,
    "\x8f\xf5\xbb"=>0xe3c6,
    "\x8f\xf5\xbc"=>0xe3c7,
    "\x8f\xf5\xbd"=>0xe3c8,
    "\x8f\xf5\xbe"=>0xe3c9,
    "\x8f\xf5\xbf"=>0xe3ca,
    "\x8f\xf5\xc0"=>0xe3cb,
    "\x8f\xf5\xc1"=>0xe3cc,
    "\x8f\xf5\xc2"=>0xe3cd,
    "\x8f\xf5\xc3"=>0xe3ce,
    "\x8f\xf5\xc4"=>0xe3cf,
    "\x8f\xf5\xc5"=>0xe3d0,
    "\x8f\xf5\xc6"=>0xe3d1,
    "\x8f\xf5\xc7"=>0xe3d2,
    "\x8f\xf5\xc8"=>0xe3d3,
    "\x8f\xf5\xc9"=>0xe3d4,
    "\x8f\xf5\xca"=>0xe3d5,
    "\x8f\xf5\xcb"=>0xe3d6,
    "\x8f\xf5\xcc"=>0xe3d7,
    "\x8f\xf5\xcd"=>0xe3d8,
    "\x8f\xf5\xce"=>0xe3d9,
    "\x8f\xf5\xcf"=>0xe3da,
    "\x8f\xf5\xd0"=>0xe3db,
    "\x8f\xf5\xd1"=>0xe3dc,
    "\x8f\xf5\xd2"=>0xe3dd,
    "\x8f\xf5\xd3"=>0xe3de,
    "\x8f\xf5\xd4"=>0xe3df,
    "\x8f\xf5\xd5"=>0xe3e0,
    "\x8f\xf5\xd6"=>0xe3e1,
    "\x8f\xf5\xd7"=>0xe3e2,
    "\x8f\xf5\xd8"=>0xe3e3,
    "\x8f\xf5\xd9"=>0xe3e4,
    "\x8f\xf5\xda"=>0xe3e5,
    "\x8f\xf5\xdb"=>0xe3e6,
    "\x8f\xf5\xdc"=>0xe3e7,
    "\x8f\xf5\xdd"=>0xe3e8,
    "\x8f\xf5\xde"=>0xe3e9,
    "\x8f\xf5\xdf"=>0xe3ea,
    "\x8f\xf5\xe0"=>0xe3eb,
    "\x8f\xf5\xe1"=>0xe3ec,
    "\x8f\xf5\xe2"=>0xe3ed,
    "\x8f\xf5\xe3"=>0xe3ee,
    "\x8f\xf5\xe4"=>0xe3ef,
    "\x8f\xf5\xe5"=>0xe3f0,
    "\x8f\xf5\xe6"=>0xe3f1,
    "\x8f\xf5\xe7"=>0xe3f2,
    "\x8f\xf5\xe8"=>0xe3f3,
    "\x8f\xf5\xe9"=>0xe3f4,
    "\x8f\xf5\xea"=>0xe3f5,
    "\x8f\xf5\xeb"=>0xe3f6,
    "\x8f\xf5\xec"=>0xe3f7,
    "\x8f\xf5\xed"=>0xe3f8,
    "\x8f\xf5\xee"=>0xe3f9,
    "\x8f\xf5\xef"=>0xe3fa,
    "\x8f\xf5\xf0"=>0xe3fb,
    "\x8f\xf5\xf1"=>0xe3fc,
    "\x8f\xf5\xf2"=>0xe3fd,
    "\x8f\xf5\xf3"=>0xe3fe,
    "\x8f\xf5\xf4"=>0xe3ff,
    "\x8f\xf5\xf5"=>0xe400,
    "\x8f\xf5\xf6"=>0xe401,
    "\x8f\xf5\xf7"=>0xe402,
    "\x8f\xf5\xf8"=>0xe403,
    "\x8f\xf5\xf9"=>0xe404,
    "\x8f\xf5\xfa"=>0xe405,
    "\x8f\xf5\xfb"=>0xe406,
    "\x8f\xf5\xfc"=>0xe407,
    "\x8f\xf5\xfd"=>0xe408,
    "\x8f\xf5\xfe"=>0xe409,
    "\x8f\xf6\xa1"=>0xe40a,
    "\x8f\xf6\xa2"=>0xe40b,
    "\x8f\xf6\xa3"=>0xe40c,
    "\x8f\xf6\xa4"=>0xe40d,
    "\x8f\xf6\xa5"=>0xe40e,
    "\x8f\xf6\xa6"=>0xe40f,
    "\x8f\xf6\xa7"=>0xe410,
    "\x8f\xf6\xa8"=>0xe411,
    "\x8f\xf6\xa9"=>0xe412,
    "\x8f\xf6\xaa"=>0xe413,
    "\x8f\xf6\xab"=>0xe414,
    "\x8f\xf6\xac"=>0xe415,
    "\x8f\xf6\xad"=>0xe416,
    "\x8f\xf6\xae"=>0xe417,
    "\x8f\xf6\xaf"=>0xe418,
    "\x8f\xf6\xb0"=>0xe419,
    "\x8f\xf6\xb1"=>0xe41a,
    "\x8f\xf6\xb2"=>0xe41b,
    "\x8f\xf6\xb3"=>0xe41c,
    "\x8f\xf6\xb4"=>0xe41d,
    "\x8f\xf6\xb5"=>0xe41e,
    "\x8f\xf6\xb6"=>0xe41f,
    "\x8f\xf6\xb7"=>0xe420,
    "\x8f\xf6\xb8"=>0xe421,
    "\x8f\xf6\xb9"=>0xe422,
    "\x8f\xf6\xba"=>0xe423,
    "\x8f\xf6\xbb"=>0xe424,
    "\x8f\xf6\xbc"=>0xe425,
    "\x8f\xf6\xbd"=>0xe426,
    "\x8f\xf6\xbe"=>0xe427,
    "\x8f\xf6\xbf"=>0xe428,
    "\x8f\xf6\xc0"=>0xe429,
    "\x8f\xf6\xc1"=>0xe42a,
    "\x8f\xf6\xc2"=>0xe42b,
    "\x8f\xf6\xc3"=>0xe42c,
    "\x8f\xf6\xc4"=>0xe42d,
    "\x8f\xf6\xc5"=>0xe42e,
    "\x8f\xf6\xc6"=>0xe42f,
    "\x8f\xf6\xc7"=>0xe430,
    "\x8f\xf6\xc8"=>0xe431,
    "\x8f\xf6\xc9"=>0xe432,
    "\x8f\xf6\xca"=>0xe433,
    "\x8f\xf6\xcb"=>0xe434,
    "\x8f\xf6\xcc"=>0xe435,
    "\x8f\xf6\xcd"=>0xe436,
    "\x8f\xf6\xce"=>0xe437,
    "\x8f\xf6\xcf"=>0xe438,
    "\x8f\xf6\xd0"=>0xe439,
    "\x8f\xf6\xd1"=>0xe43a,
    "\x8f\xf6\xd2"=>0xe43b,
    "\x8f\xf6\xd3"=>0xe43c,
    "\x8f\xf6\xd4"=>0xe43d,
    "\x8f\xf6\xd5"=>0xe43e,
    "\x8f\xf6\xd6"=>0xe43f,
    "\x8f\xf6\xd7"=>0xe440,
    "\x8f\xf6\xd8"=>0xe441,
    "\x8f\xf6\xd9"=>0xe442,
    "\x8f\xf6\xda"=>0xe443,
    "\x8f\xf6\xdb"=>0xe444,
    "\x8f\xf6\xdc"=>0xe445,
    "\x8f\xf6\xdd"=>0xe446,
    "\x8f\xf6\xde"=>0xe447,
    "\x8f\xf6\xdf"=>0xe448,
    "\x8f\xf6\xe0"=>0xe449,
    "\x8f\xf6\xe1"=>0xe44a,
    "\x8f\xf6\xe2"=>0xe44b,
    "\x8f\xf6\xe3"=>0xe44c,
    "\x8f\xf6\xe4"=>0xe44d,
    "\x8f\xf6\xe5"=>0xe44e,
    "\x8f\xf6\xe6"=>0xe44f,
    "\x8f\xf6\xe7"=>0xe450,
    "\x8f\xf6\xe8"=>0xe451,
    "\x8f\xf6\xe9"=>0xe452,
    "\x8f\xf6\xea"=>0xe453,
    "\x8f\xf6\xeb"=>0xe454,
    "\x8f\xf6\xec"=>0xe455,
    "\x8f\xf6\xed"=>0xe456,
    "\x8f\xf6\xee"=>0xe457,
    "\x8f\xf6\xef"=>0xe458,
    "\x8f\xf6\xf0"=>0xe459,
    "\x8f\xf6\xf1"=>0xe45a,
    "\x8f\xf6\xf2"=>0xe45b,
    "\x8f\xf6\xf3"=>0xe45c,
    "\x8f\xf6\xf4"=>0xe45d,
    "\x8f\xf6\xf5"=>0xe45e,
    "\x8f\xf6\xf6"=>0xe45f,
    "\x8f\xf6\xf7"=>0xe460,
    "\x8f\xf6\xf8"=>0xe461,
    "\x8f\xf6\xf9"=>0xe462,
    "\x8f\xf6\xfa"=>0xe463,
    "\x8f\xf6\xfb"=>0xe464,
    "\x8f\xf6\xfc"=>0xe465,
    "\x8f\xf6\xfd"=>0xe466,
    "\x8f\xf6\xfe"=>0xe467,
    "\x8f\xf7\xa1"=>0xe468,
    "\x8f\xf7\xa2"=>0xe469,
    "\x8f\xf7\xa3"=>0xe46a,
    "\x8f\xf7\xa4"=>0xe46b,
    "\x8f\xf7\xa5"=>0xe46c,
    "\x8f\xf7\xa6"=>0xe46d,
    "\x8f\xf7\xa7"=>0xe46e,
    "\x8f\xf7\xa8"=>0xe46f,
    "\x8f\xf7\xa9"=>0xe470,
    "\x8f\xf7\xaa"=>0xe471,
    "\x8f\xf7\xab"=>0xe472,
    "\x8f\xf7\xac"=>0xe473,
    "\x8f\xf7\xad"=>0xe474,
    "\x8f\xf7\xae"=>0xe475,
    "\x8f\xf7\xaf"=>0xe476,
    "\x8f\xf7\xb0"=>0xe477,
    "\x8f\xf7\xb1"=>0xe478,
    "\x8f\xf7\xb2"=>0xe479,
    "\x8f\xf7\xb3"=>0xe47a,
    "\x8f\xf7\xb4"=>0xe47b,
    "\x8f\xf7\xb5"=>0xe47c,
    "\x8f\xf7\xb6"=>0xe47d,
    "\x8f\xf7\xb7"=>0xe47e,
    "\x8f\xf7\xb8"=>0xe47f,
    "\x8f\xf7\xb9"=>0xe480,
    "\x8f\xf7\xba"=>0xe481,
    "\x8f\xf7\xbb"=>0xe482,
    "\x8f\xf7\xbc"=>0xe483,
    "\x8f\xf7\xbd"=>0xe484,
    "\x8f\xf7\xbe"=>0xe485,
    "\x8f\xf7\xbf"=>0xe486,
    "\x8f\xf7\xc0"=>0xe487,
    "\x8f\xf7\xc1"=>0xe488,
    "\x8f\xf7\xc2"=>0xe489,
    "\x8f\xf7\xc3"=>0xe48a,
    "\x8f\xf7\xc4"=>0xe48b,
    "\x8f\xf7\xc5"=>0xe48c,
    "\x8f\xf7\xc6"=>0xe48d,
    "\x8f\xf7\xc7"=>0xe48e,
    "\x8f\xf7\xc8"=>0xe48f,
    "\x8f\xf7\xc9"=>0xe490,
    "\x8f\xf7\xca"=>0xe491,
    "\x8f\xf7\xcb"=>0xe492,
    "\x8f\xf7\xcc"=>0xe493,
    "\x8f\xf7\xcd"=>0xe494,
    "\x8f\xf7\xce"=>0xe495,
    "\x8f\xf7\xcf"=>0xe496,
    "\x8f\xf7\xd0"=>0xe497,
    "\x8f\xf7\xd1"=>0xe498,
    "\x8f\xf7\xd2"=>0xe499,
    "\x8f\xf7\xd3"=>0xe49a,
    "\x8f\xf7\xd4"=>0xe49b,
    "\x8f\xf7\xd5"=>0xe49c,
    "\x8f\xf7\xd6"=>0xe49d,
    "\x8f\xf7\xd7"=>0xe49e,
    "\x8f\xf7\xd8"=>0xe49f,
    "\x8f\xf7\xd9"=>0xe4a0,
    "\x8f\xf7\xda"=>0xe4a1,
    "\x8f\xf7\xdb"=>0xe4a2,
    "\x8f\xf7\xdc"=>0xe4a3,
    "\x8f\xf7\xdd"=>0xe4a4,
    "\x8f\xf7\xde"=>0xe4a5,
    "\x8f\xf7\xdf"=>0xe4a6,
    "\x8f\xf7\xe0"=>0xe4a7,
    "\x8f\xf7\xe1"=>0xe4a8,
    "\x8f\xf7\xe2"=>0xe4a9,
    "\x8f\xf7\xe3"=>0xe4aa,
    "\x8f\xf7\xe4"=>0xe4ab,
    "\x8f\xf7\xe5"=>0xe4ac,
    "\x8f\xf7\xe6"=>0xe4ad,
    "\x8f\xf7\xe7"=>0xe4ae,
    "\x8f\xf7\xe8"=>0xe4af,
    "\x8f\xf7\xe9"=>0xe4b0,
    "\x8f\xf7\xea"=>0xe4b1,
    "\x8f\xf7\xeb"=>0xe4b2,
    "\x8f\xf7\xec"=>0xe4b3,
    "\x8f\xf7\xed"=>0xe4b4,
    "\x8f\xf7\xee"=>0xe4b5,
    "\x8f\xf7\xef"=>0xe4b6,
    "\x8f\xf7\xf0"=>0xe4b7,
    "\x8f\xf7\xf1"=>0xe4b8,
    "\x8f\xf7\xf2"=>0xe4b9,
    "\x8f\xf7\xf3"=>0xe4ba,
    "\x8f\xf7\xf4"=>0xe4bb,
    "\x8f\xf7\xf5"=>0xe4bc,
    "\x8f\xf7\xf6"=>0xe4bd,
    "\x8f\xf7\xf7"=>0xe4be,
    "\x8f\xf7\xf8"=>0xe4bf,
    "\x8f\xf7\xf9"=>0xe4c0,
    "\x8f\xf7\xfa"=>0xe4c1,
    "\x8f\xf7\xfb"=>0xe4c2,
    "\x8f\xf7\xfc"=>0xe4c3,
    "\x8f\xf7\xfd"=>0xe4c4,
    "\x8f\xf7\xfe"=>0xe4c5,
    "\x8f\xf8\xa1"=>0xe4c6,
    "\x8f\xf8\xa2"=>0xe4c7,
    "\x8f\xf8\xa3"=>0xe4c8,
    "\x8f\xf8\xa4"=>0xe4c9,
    "\x8f\xf8\xa5"=>0xe4ca,
    "\x8f\xf8\xa6"=>0xe4cb,
    "\x8f\xf8\xa7"=>0xe4cc,
    "\x8f\xf8\xa8"=>0xe4cd,
    "\x8f\xf8\xa9"=>0xe4ce,
    "\x8f\xf8\xaa"=>0xe4cf,
    "\x8f\xf8\xab"=>0xe4d0,
    "\x8f\xf8\xac"=>0xe4d1,
    "\x8f\xf8\xad"=>0xe4d2,
    "\x8f\xf8\xae"=>0xe4d3,
    "\x8f\xf8\xaf"=>0xe4d4,
    "\x8f\xf8\xb0"=>0xe4d5,
    "\x8f\xf8\xb1"=>0xe4d6,
    "\x8f\xf8\xb2"=>0xe4d7,
    "\x8f\xf8\xb3"=>0xe4d8,
    "\x8f\xf8\xb4"=>0xe4d9,
    "\x8f\xf8\xb5"=>0xe4da,
    "\x8f\xf8\xb6"=>0xe4db,
    "\x8f\xf8\xb7"=>0xe4dc,
    "\x8f\xf8\xb8"=>0xe4dd,
    "\x8f\xf8\xb9"=>0xe4de,
    "\x8f\xf8\xba"=>0xe4df,
    "\x8f\xf8\xbb"=>0xe4e0,
    "\x8f\xf8\xbc"=>0xe4e1,
    "\x8f\xf8\xbd"=>0xe4e2,
    "\x8f\xf8\xbe"=>0xe4e3,
    "\x8f\xf8\xbf"=>0xe4e4,
    "\x8f\xf8\xc0"=>0xe4e5,
    "\x8f\xf8\xc1"=>0xe4e6,
    "\x8f\xf8\xc2"=>0xe4e7,
    "\x8f\xf8\xc3"=>0xe4e8,
    "\x8f\xf8\xc4"=>0xe4e9,
    "\x8f\xf8\xc5"=>0xe4ea,
    "\x8f\xf8\xc6"=>0xe4eb,
    "\x8f\xf8\xc7"=>0xe4ec,
    "\x8f\xf8\xc8"=>0xe4ed,
    "\x8f\xf8\xc9"=>0xe4ee,
    "\x8f\xf8\xca"=>0xe4ef,
    "\x8f\xf8\xcb"=>0xe4f0,
    "\x8f\xf8\xcc"=>0xe4f1,
    "\x8f\xf8\xcd"=>0xe4f2,
    "\x8f\xf8\xce"=>0xe4f3,
    "\x8f\xf8\xcf"=>0xe4f4,
    "\x8f\xf8\xd0"=>0xe4f5,
    "\x8f\xf8\xd1"=>0xe4f6,
    "\x8f\xf8\xd2"=>0xe4f7,
    "\x8f\xf8\xd3"=>0xe4f8,
    "\x8f\xf8\xd4"=>0xe4f9,
    "\x8f\xf8\xd5"=>0xe4fa,
    "\x8f\xf8\xd6"=>0xe4fb,
    "\x8f\xf8\xd7"=>0xe4fc,
    "\x8f\xf8\xd8"=>0xe4fd,
    "\x8f\xf8\xd9"=>0xe4fe,
    "\x8f\xf8\xda"=>0xe4ff,
    "\x8f\xf8\xdb"=>0xe500,
    "\x8f\xf8\xdc"=>0xe501,
    "\x8f\xf8\xdd"=>0xe502,
    "\x8f\xf8\xde"=>0xe503,
    "\x8f\xf8\xdf"=>0xe504,
    "\x8f\xf8\xe0"=>0xe505,
    "\x8f\xf8\xe1"=>0xe506,
    "\x8f\xf8\xe2"=>0xe507,
    "\x8f\xf8\xe3"=>0xe508,
    "\x8f\xf8\xe4"=>0xe509,
    "\x8f\xf8\xe5"=>0xe50a,
    "\x8f\xf8\xe6"=>0xe50b,
    "\x8f\xf8\xe7"=>0xe50c,
    "\x8f\xf8\xe8"=>0xe50d,
    "\x8f\xf8\xe9"=>0xe50e,
    "\x8f\xf8\xea"=>0xe50f,
    "\x8f\xf8\xeb"=>0xe510,
    "\x8f\xf8\xec"=>0xe511,
    "\x8f\xf8\xed"=>0xe512,
    "\x8f\xf8\xee"=>0xe513,
    "\x8f\xf8\xef"=>0xe514,
    "\x8f\xf8\xf0"=>0xe515,
    "\x8f\xf8\xf1"=>0xe516,
    "\x8f\xf8\xf2"=>0xe517,
    "\x8f\xf8\xf3"=>0xe518,
    "\x8f\xf8\xf4"=>0xe519,
    "\x8f\xf8\xf5"=>0xe51a,
    "\x8f\xf8\xf6"=>0xe51b,
    "\x8f\xf8\xf7"=>0xe51c,
    "\x8f\xf8\xf8"=>0xe51d,
    "\x8f\xf8\xf9"=>0xe51e,
    "\x8f\xf8\xfa"=>0xe51f,
    "\x8f\xf8\xfb"=>0xe520,
    "\x8f\xf8\xfc"=>0xe521,
    "\x8f\xf8\xfd"=>0xe522,
    "\x8f\xf8\xfe"=>0xe523,
    "\x8f\xf9\xa1"=>0xe524,
    "\x8f\xf9\xa2"=>0xe525,
    "\x8f\xf9\xa3"=>0xe526,
    "\x8f\xf9\xa4"=>0xe527,
    "\x8f\xf9\xa5"=>0xe528,
    "\x8f\xf9\xa6"=>0xe529,
    "\x8f\xf9\xa7"=>0xe52a,
    "\x8f\xf9\xa8"=>0xe52b,
    "\x8f\xf9\xa9"=>0xe52c,
    "\x8f\xf9\xaa"=>0xe52d,
    "\x8f\xf9\xab"=>0xe52e,
    "\x8f\xf9\xac"=>0xe52f,
    "\x8f\xf9\xad"=>0xe530,
    "\x8f\xf9\xae"=>0xe531,
    "\x8f\xf9\xaf"=>0xe532,
    "\x8f\xf9\xb0"=>0xe533,
    "\x8f\xf9\xb1"=>0xe534,
    "\x8f\xf9\xb2"=>0xe535,
    "\x8f\xf9\xb3"=>0xe536,
    "\x8f\xf9\xb4"=>0xe537,
    "\x8f\xf9\xb5"=>0xe538,
    "\x8f\xf9\xb6"=>0xe539,
    "\x8f\xf9\xb7"=>0xe53a,
    "\x8f\xf9\xb8"=>0xe53b,
    "\x8f\xf9\xb9"=>0xe53c,
    "\x8f\xf9\xba"=>0xe53d,
    "\x8f\xf9\xbb"=>0xe53e,
    "\x8f\xf9\xbc"=>0xe53f,
    "\x8f\xf9\xbd"=>0xe540,
    "\x8f\xf9\xbe"=>0xe541,
    "\x8f\xf9\xbf"=>0xe542,
    "\x8f\xf9\xc0"=>0xe543,
    "\x8f\xf9\xc1"=>0xe544,
    "\x8f\xf9\xc2"=>0xe545,
    "\x8f\xf9\xc3"=>0xe546,
    "\x8f\xf9\xc4"=>0xe547,
    "\x8f\xf9\xc5"=>0xe548,
    "\x8f\xf9\xc6"=>0xe549,
    "\x8f\xf9\xc7"=>0xe54a,
    "\x8f\xf9\xc8"=>0xe54b,
    "\x8f\xf9\xc9"=>0xe54c,
    "\x8f\xf9\xca"=>0xe54d,
    "\x8f\xf9\xcb"=>0xe54e,
    "\x8f\xf9\xcc"=>0xe54f,
    "\x8f\xf9\xcd"=>0xe550,
    "\x8f\xf9\xce"=>0xe551,
    "\x8f\xf9\xcf"=>0xe552,
    "\x8f\xf9\xd0"=>0xe553,
    "\x8f\xf9\xd1"=>0xe554,
    "\x8f\xf9\xd2"=>0xe555,
    "\x8f\xf9\xd3"=>0xe556,
    "\x8f\xf9\xd4"=>0xe557,
    "\x8f\xf9\xd5"=>0xe558,
    "\x8f\xf9\xd6"=>0xe559,
    "\x8f\xf9\xd7"=>0xe55a,
    "\x8f\xf9\xd8"=>0xe55b,
    "\x8f\xf9\xd9"=>0xe55c,
    "\x8f\xf9\xda"=>0xe55d,
    "\x8f\xf9\xdb"=>0xe55e,
    "\x8f\xf9\xdc"=>0xe55f,
    "\x8f\xf9\xdd"=>0xe560,
    "\x8f\xf9\xde"=>0xe561,
    "\x8f\xf9\xdf"=>0xe562,
    "\x8f\xf9\xe0"=>0xe563,
    "\x8f\xf9\xe1"=>0xe564,
    "\x8f\xf9\xe2"=>0xe565,
    "\x8f\xf9\xe3"=>0xe566,
    "\x8f\xf9\xe4"=>0xe567,
    "\x8f\xf9\xe5"=>0xe568,
    "\x8f\xf9\xe6"=>0xe569,
    "\x8f\xf9\xe7"=>0xe56a,
    "\x8f\xf9\xe8"=>0xe56b,
    "\x8f\xf9\xe9"=>0xe56c,
    "\x8f\xf9\xea"=>0xe56d,
    "\x8f\xf9\xeb"=>0xe56e,
    "\x8f\xf9\xec"=>0xe56f,
    "\x8f\xf9\xed"=>0xe570,
    "\x8f\xf9\xee"=>0xe571,
    "\x8f\xf9\xef"=>0xe572,
    "\x8f\xf9\xf0"=>0xe573,
    "\x8f\xf9\xf1"=>0xe574,
    "\x8f\xf9\xf2"=>0xe575,
    "\x8f\xf9\xf3"=>0xe576,
    "\x8f\xf9\xf4"=>0xe577,
    "\x8f\xf9\xf5"=>0xe578,
    "\x8f\xf9\xf6"=>0xe579,
    "\x8f\xf9\xf7"=>0xe57a,
    "\x8f\xf9\xf8"=>0xe57b,
    "\x8f\xf9\xf9"=>0xe57c,
    "\x8f\xf9\xfa"=>0xe57d,
    "\x8f\xf9\xfb"=>0xe57e,
    "\x8f\xf9\xfc"=>0xe57f,
    "\x8f\xf9\xfd"=>0xe580,
    "\x8f\xf9\xfe"=>0xe581,
    "\x8f\xfa\xa1"=>0xe582,
    "\x8f\xfa\xa2"=>0xe583,
    "\x8f\xfa\xa3"=>0xe584,
    "\x8f\xfa\xa4"=>0xe585,
    "\x8f\xfa\xa5"=>0xe586,
    "\x8f\xfa\xa6"=>0xe587,
    "\x8f\xfa\xa7"=>0xe588,
    "\x8f\xfa\xa8"=>0xe589,
    "\x8f\xfa\xa9"=>0xe58a,
    "\x8f\xfa\xaa"=>0xe58b,
    "\x8f\xfa\xab"=>0xe58c,
    "\x8f\xfa\xac"=>0xe58d,
    "\x8f\xfa\xad"=>0xe58e,
    "\x8f\xfa\xae"=>0xe58f,
    "\x8f\xfa\xaf"=>0xe590,
    "\x8f\xfa\xb0"=>0xe591,
    "\x8f\xfa\xb1"=>0xe592,
    "\x8f\xfa\xb2"=>0xe593,
    "\x8f\xfa\xb3"=>0xe594,
    "\x8f\xfa\xb4"=>0xe595,
    "\x8f\xfa\xb5"=>0xe596,
    "\x8f\xfa\xb6"=>0xe597,
    "\x8f\xfa\xb7"=>0xe598,
    "\x8f\xfa\xb8"=>0xe599,
    "\x8f\xfa\xb9"=>0xe59a,
    "\x8f\xfa\xba"=>0xe59b,
    "\x8f\xfa\xbb"=>0xe59c,
    "\x8f\xfa\xbc"=>0xe59d,
    "\x8f\xfa\xbd"=>0xe59e,
    "\x8f\xfa\xbe"=>0xe59f,
    "\x8f\xfa\xbf"=>0xe5a0,
    "\x8f\xfa\xc0"=>0xe5a1,
    "\x8f\xfa\xc1"=>0xe5a2,
    "\x8f\xfa\xc2"=>0xe5a3,
    "\x8f\xfa\xc3"=>0xe5a4,
    "\x8f\xfa\xc4"=>0xe5a5,
    "\x8f\xfa\xc5"=>0xe5a6,
    "\x8f\xfa\xc6"=>0xe5a7,
    "\x8f\xfa\xc7"=>0xe5a8,
    "\x8f\xfa\xc8"=>0xe5a9,
    "\x8f\xfa\xc9"=>0xe5aa,
    "\x8f\xfa\xca"=>0xe5ab,
    "\x8f\xfa\xcb"=>0xe5ac,
    "\x8f\xfa\xcc"=>0xe5ad,
    "\x8f\xfa\xcd"=>0xe5ae,
    "\x8f\xfa\xce"=>0xe5af,
    "\x8f\xfa\xcf"=>0xe5b0,
    "\x8f\xfa\xd0"=>0xe5b1,
    "\x8f\xfa\xd1"=>0xe5b2,
    "\x8f\xfa\xd2"=>0xe5b3,
    "\x8f\xfa\xd3"=>0xe5b4,
    "\x8f\xfa\xd4"=>0xe5b5,
    "\x8f\xfa\xd5"=>0xe5b6,
    "\x8f\xfa\xd6"=>0xe5b7,
    "\x8f\xfa\xd7"=>0xe5b8,
    "\x8f\xfa\xd8"=>0xe5b9,
    "\x8f\xfa\xd9"=>0xe5ba,
    "\x8f\xfa\xda"=>0xe5bb,
    "\x8f\xfa\xdb"=>0xe5bc,
    "\x8f\xfa\xdc"=>0xe5bd,
    "\x8f\xfa\xdd"=>0xe5be,
    "\x8f\xfa\xde"=>0xe5bf,
    "\x8f\xfa\xdf"=>0xe5c0,
    "\x8f\xfa\xe0"=>0xe5c1,
    "\x8f\xfa\xe1"=>0xe5c2,
    "\x8f\xfa\xe2"=>0xe5c3,
    "\x8f\xfa\xe3"=>0xe5c4,
    "\x8f\xfa\xe4"=>0xe5c5,
    "\x8f\xfa\xe5"=>0xe5c6,
    "\x8f\xfa\xe6"=>0xe5c7,
    "\x8f\xfa\xe7"=>0xe5c8,
    "\x8f\xfa\xe8"=>0xe5c9,
    "\x8f\xfa\xe9"=>0xe5ca,
    "\x8f\xfa\xea"=>0xe5cb,
    "\x8f\xfa\xeb"=>0xe5cc,
    "\x8f\xfa\xec"=>0xe5cd,
    "\x8f\xfa\xed"=>0xe5ce,
    "\x8f\xfa\xee"=>0xe5cf,
    "\x8f\xfa\xef"=>0xe5d0,
    "\x8f\xfa\xf0"=>0xe5d1,
    "\x8f\xfa\xf1"=>0xe5d2,
    "\x8f\xfa\xf2"=>0xe5d3,
    "\x8f\xfa\xf3"=>0xe5d4,
    "\x8f\xfa\xf4"=>0xe5d5,
    "\x8f\xfa\xf5"=>0xe5d6,
    "\x8f\xfa\xf6"=>0xe5d7,
    "\x8f\xfa\xf7"=>0xe5d8,
    "\x8f\xfa\xf8"=>0xe5d9,
    "\x8f\xfa\xf9"=>0xe5da,
    "\x8f\xfa\xfa"=>0xe5db,
    "\x8f\xfa\xfb"=>0xe5dc,
    "\x8f\xfa\xfc"=>0xe5dd,
    "\x8f\xfa\xfd"=>0xe5de,
    "\x8f\xfa\xfe"=>0xe5df,
    "\x8f\xfb\xa1"=>0xe5e0,
    "\x8f\xfb\xa2"=>0xe5e1,
    "\x8f\xfb\xa3"=>0xe5e2,
    "\x8f\xfb\xa4"=>0xe5e3,
    "\x8f\xfb\xa5"=>0xe5e4,
    "\x8f\xfb\xa6"=>0xe5e5,
    "\x8f\xfb\xa7"=>0xe5e6,
    "\x8f\xfb\xa8"=>0xe5e7,
    "\x8f\xfb\xa9"=>0xe5e8,
    "\x8f\xfb\xaa"=>0xe5e9,
    "\x8f\xfb\xab"=>0xe5ea,
    "\x8f\xfb\xac"=>0xe5eb,
    "\x8f\xfb\xad"=>0xe5ec,
    "\x8f\xfb\xae"=>0xe5ed,
    "\x8f\xfb\xaf"=>0xe5ee,
    "\x8f\xfb\xb0"=>0xe5ef,
    "\x8f\xfb\xb1"=>0xe5f0,
    "\x8f\xfb\xb2"=>0xe5f1,
    "\x8f\xfb\xb3"=>0xe5f2,
    "\x8f\xfb\xb4"=>0xe5f3,
    "\x8f\xfb\xb5"=>0xe5f4,
    "\x8f\xfb\xb6"=>0xe5f5,
    "\x8f\xfb\xb7"=>0xe5f6,
    "\x8f\xfb\xb8"=>0xe5f7,
    "\x8f\xfb\xb9"=>0xe5f8,
    "\x8f\xfb\xba"=>0xe5f9,
    "\x8f\xfb\xbb"=>0xe5fa,
    "\x8f\xfb\xbc"=>0xe5fb,
    "\x8f\xfb\xbd"=>0xe5fc,
    "\x8f\xfb\xbe"=>0xe5fd,
    "\x8f\xfb\xbf"=>0xe5fe,
    "\x8f\xfb\xc0"=>0xe5ff,
    "\x8f\xfb\xc1"=>0xe600,
    "\x8f\xfb\xc2"=>0xe601,
    "\x8f\xfb\xc3"=>0xe602,
    "\x8f\xfb\xc4"=>0xe603,
    "\x8f\xfb\xc5"=>0xe604,
    "\x8f\xfb\xc6"=>0xe605,
    "\x8f\xfb\xc7"=>0xe606,
    "\x8f\xfb\xc8"=>0xe607,
    "\x8f\xfb\xc9"=>0xe608,
    "\x8f\xfb\xca"=>0xe609,
    "\x8f\xfb\xcb"=>0xe60a,
    "\x8f\xfb\xcc"=>0xe60b,
    "\x8f\xfb\xcd"=>0xe60c,
    "\x8f\xfb\xce"=>0xe60d,
    "\x8f\xfb\xcf"=>0xe60e,
    "\x8f\xfb\xd0"=>0xe60f,
    "\x8f\xfb\xd1"=>0xe610,
    "\x8f\xfb\xd2"=>0xe611,
    "\x8f\xfb\xd3"=>0xe612,
    "\x8f\xfb\xd4"=>0xe613,
    "\x8f\xfb\xd5"=>0xe614,
    "\x8f\xfb\xd6"=>0xe615,
    "\x8f\xfb\xd7"=>0xe616,
    "\x8f\xfb\xd8"=>0xe617,
    "\x8f\xfb\xd9"=>0xe618,
    "\x8f\xfb\xda"=>0xe619,
    "\x8f\xfb\xdb"=>0xe61a,
    "\x8f\xfb\xdc"=>0xe61b,
    "\x8f\xfb\xdd"=>0xe61c,
    "\x8f\xfb\xde"=>0xe61d,
    "\x8f\xfb\xdf"=>0xe61e,
    "\x8f\xfb\xe0"=>0xe61f,
    "\x8f\xfb\xe1"=>0xe620,
    "\x8f\xfb\xe2"=>0xe621,
    "\x8f\xfb\xe3"=>0xe622,
    "\x8f\xfb\xe4"=>0xe623,
    "\x8f\xfb\xe5"=>0xe624,
    "\x8f\xfb\xe6"=>0xe625,
    "\x8f\xfb\xe7"=>0xe626,
    "\x8f\xfb\xe8"=>0xe627,
    "\x8f\xfb\xe9"=>0xe628,
    "\x8f\xfb\xea"=>0xe629,
    "\x8f\xfb\xeb"=>0xe62a,
    "\x8f\xfb\xec"=>0xe62b,
    "\x8f\xfb\xed"=>0xe62c,
    "\x8f\xfb\xee"=>0xe62d,
    "\x8f\xfb\xef"=>0xe62e,
    "\x8f\xfb\xf0"=>0xe62f,
    "\x8f\xfb\xf1"=>0xe630,
    "\x8f\xfb\xf2"=>0xe631,
    "\x8f\xfb\xf3"=>0xe632,
    "\x8f\xfb\xf4"=>0xe633,
    "\x8f\xfb\xf5"=>0xe634,
    "\x8f\xfb\xf6"=>0xe635,
    "\x8f\xfb\xf7"=>0xe636,
    "\x8f\xfb\xf8"=>0xe637,
    "\x8f\xfb\xf9"=>0xe638,
    "\x8f\xfb\xfa"=>0xe639,
    "\x8f\xfb\xfb"=>0xe63a,
    "\x8f\xfb\xfc"=>0xe63b,
    "\x8f\xfb\xfd"=>0xe63c,
    "\x8f\xfb\xfe"=>0xe63d,
    "\x8f\xfc\xa1"=>0xe63e,
    "\x8f\xfc\xa2"=>0xe63f,
    "\x8f\xfc\xa3"=>0xe640,
    "\x8f\xfc\xa4"=>0xe641,
    "\x8f\xfc\xa5"=>0xe642,
    "\x8f\xfc\xa6"=>0xe643,
    "\x8f\xfc\xa7"=>0xe644,
    "\x8f\xfc\xa8"=>0xe645,
    "\x8f\xfc\xa9"=>0xe646,
    "\x8f\xfc\xaa"=>0xe647,
    "\x8f\xfc\xab"=>0xe648,
    "\x8f\xfc\xac"=>0xe649,
    "\x8f\xfc\xad"=>0xe64a,
    "\x8f\xfc\xae"=>0xe64b,
    "\x8f\xfc\xaf"=>0xe64c,
    "\x8f\xfc\xb0"=>0xe64d,
    "\x8f\xfc\xb1"=>0xe64e,
    "\x8f\xfc\xb2"=>0xe64f,
    "\x8f\xfc\xb3"=>0xe650,
    "\x8f\xfc\xb4"=>0xe651,
    "\x8f\xfc\xb5"=>0xe652,
    "\x8f\xfc\xb6"=>0xe653,
    "\x8f\xfc\xb7"=>0xe654,
    "\x8f\xfc\xb8"=>0xe655,
    "\x8f\xfc\xb9"=>0xe656,
    "\x8f\xfc\xba"=>0xe657,
    "\x8f\xfc\xbb"=>0xe658,
    "\x8f\xfc\xbc"=>0xe659,
    "\x8f\xfc\xbd"=>0xe65a,
    "\x8f\xfc\xbe"=>0xe65b,
    "\x8f\xfc\xbf"=>0xe65c,
    "\x8f\xfc\xc0"=>0xe65d,
    "\x8f\xfc\xc1"=>0xe65e,
    "\x8f\xfc\xc2"=>0xe65f,
    "\x8f\xfc\xc3"=>0xe660,
    "\x8f\xfc\xc4"=>0xe661,
    "\x8f\xfc\xc5"=>0xe662,
    "\x8f\xfc\xc6"=>0xe663,
    "\x8f\xfc\xc7"=>0xe664,
    "\x8f\xfc\xc8"=>0xe665,
    "\x8f\xfc\xc9"=>0xe666,
    "\x8f\xfc\xca"=>0xe667,
    "\x8f\xfc\xcb"=>0xe668,
    "\x8f\xfc\xcc"=>0xe669,
    "\x8f\xfc\xcd"=>0xe66a,
    "\x8f\xfc\xce"=>0xe66b,
    "\x8f\xfc\xcf"=>0xe66c,
    "\x8f\xfc\xd0"=>0xe66d,
    "\x8f\xfc\xd1"=>0xe66e,
    "\x8f\xfc\xd2"=>0xe66f,
    "\x8f\xfc\xd3"=>0xe670,
    "\x8f\xfc\xd4"=>0xe671,
    "\x8f\xfc\xd5"=>0xe672,
    "\x8f\xfc\xd6"=>0xe673,
    "\x8f\xfc\xd7"=>0xe674,
    "\x8f\xfc\xd8"=>0xe675,
    "\x8f\xfc\xd9"=>0xe676,
    "\x8f\xfc\xda"=>0xe677,
    "\x8f\xfc\xdb"=>0xe678,
    "\x8f\xfc\xdc"=>0xe679,
    "\x8f\xfc\xdd"=>0xe67a,
    "\x8f\xfc\xde"=>0xe67b,
    "\x8f\xfc\xdf"=>0xe67c,
    "\x8f\xfc\xe0"=>0xe67d,
    "\x8f\xfc\xe1"=>0xe67e,
    "\x8f\xfc\xe2"=>0xe67f,
    "\x8f\xfc\xe3"=>0xe680,
    "\x8f\xfc\xe4"=>0xe681,
    "\x8f\xfc\xe5"=>0xe682,
    "\x8f\xfc\xe6"=>0xe683,
    "\x8f\xfc\xe7"=>0xe684,
    "\x8f\xfc\xe8"=>0xe685,
    "\x8f\xfc\xe9"=>0xe686,
    "\x8f\xfc\xea"=>0xe687,
    "\x8f\xfc\xeb"=>0xe688,
    "\x8f\xfc\xec"=>0xe689,
    "\x8f\xfc\xed"=>0xe68a,
    "\x8f\xfc\xee"=>0xe68b,
    "\x8f\xfc\xef"=>0xe68c,
    "\x8f\xfc\xf0"=>0xe68d,
    "\x8f\xfc\xf1"=>0xe68e,
    "\x8f\xfc\xf2"=>0xe68f,
    "\x8f\xfc\xf3"=>0xe690,
    "\x8f\xfc\xf4"=>0xe691,
    "\x8f\xfc\xf5"=>0xe692,
    "\x8f\xfc\xf6"=>0xe693,
    "\x8f\xfc\xf7"=>0xe694,
    "\x8f\xfc\xf8"=>0xe695,
    "\x8f\xfc\xf9"=>0xe696,
    "\x8f\xfc\xfa"=>0xe697,
    "\x8f\xfc\xfb"=>0xe698,
    "\x8f\xfc\xfc"=>0xe699,
    "\x8f\xfc\xfd"=>0xe69a,
    "\x8f\xfc\xfe"=>0xe69b,
    "\x8f\xfd\xa1"=>0xe69c,
    "\x8f\xfd\xa2"=>0xe69d,
    "\x8f\xfd\xa3"=>0xe69e,
    "\x8f\xfd\xa4"=>0xe69f,
    "\x8f\xfd\xa5"=>0xe6a0,
    "\x8f\xfd\xa6"=>0xe6a1,
    "\x8f\xfd\xa7"=>0xe6a2,
    "\x8f\xfd\xa8"=>0xe6a3,
    "\x8f\xfd\xa9"=>0xe6a4,
    "\x8f\xfd\xaa"=>0xe6a5,
    "\x8f\xfd\xab"=>0xe6a6,
    "\x8f\xfd\xac"=>0xe6a7,
    "\x8f\xfd\xad"=>0xe6a8,
    "\x8f\xfd\xae"=>0xe6a9,
    "\x8f\xfd\xaf"=>0xe6aa,
    "\x8f\xfd\xb0"=>0xe6ab,
    "\x8f\xfd\xb1"=>0xe6ac,
    "\x8f\xfd\xb2"=>0xe6ad,
    "\x8f\xfd\xb3"=>0xe6ae,
    "\x8f\xfd\xb4"=>0xe6af,
    "\x8f\xfd\xb5"=>0xe6b0,
    "\x8f\xfd\xb6"=>0xe6b1,
    "\x8f\xfd\xb7"=>0xe6b2,
    "\x8f\xfd\xb8"=>0xe6b3,
    "\x8f\xfd\xb9"=>0xe6b4,
    "\x8f\xfd\xba"=>0xe6b5,
    "\x8f\xfd\xbb"=>0xe6b6,
    "\x8f\xfd\xbc"=>0xe6b7,
    "\x8f\xfd\xbd"=>0xe6b8,
    "\x8f\xfd\xbe"=>0xe6b9,
    "\x8f\xfd\xbf"=>0xe6ba,
    "\x8f\xfd\xc0"=>0xe6bb,
    "\x8f\xfd\xc1"=>0xe6bc,
    "\x8f\xfd\xc2"=>0xe6bd,
    "\x8f\xfd\xc3"=>0xe6be,
    "\x8f\xfd\xc4"=>0xe6bf,
    "\x8f\xfd\xc5"=>0xe6c0,
    "\x8f\xfd\xc6"=>0xe6c1,
    "\x8f\xfd\xc7"=>0xe6c2,
    "\x8f\xfd\xc8"=>0xe6c3,
    "\x8f\xfd\xc9"=>0xe6c4,
    "\x8f\xfd\xca"=>0xe6c5,
    "\x8f\xfd\xcb"=>0xe6c6,
    "\x8f\xfd\xcc"=>0xe6c7,
    "\x8f\xfd\xcd"=>0xe6c8,
    "\x8f\xfd\xce"=>0xe6c9,
    "\x8f\xfd\xcf"=>0xe6ca,
    "\x8f\xfd\xd0"=>0xe6cb,
    "\x8f\xfd\xd1"=>0xe6cc,
    "\x8f\xfd\xd2"=>0xe6cd,
    "\x8f\xfd\xd3"=>0xe6ce,
    "\x8f\xfd\xd4"=>0xe6cf,
    "\x8f\xfd\xd5"=>0xe6d0,
    "\x8f\xfd\xd6"=>0xe6d1,
    "\x8f\xfd\xd7"=>0xe6d2,
    "\x8f\xfd\xd8"=>0xe6d3,
    "\x8f\xfd\xd9"=>0xe6d4,
    "\x8f\xfd\xda"=>0xe6d5,
    "\x8f\xfd\xdb"=>0xe6d6,
    "\x8f\xfd\xdc"=>0xe6d7,
    "\x8f\xfd\xdd"=>0xe6d8,
    "\x8f\xfd\xde"=>0xe6d9,
    "\x8f\xfd\xdf"=>0xe6da,
    "\x8f\xfd\xe0"=>0xe6db,
    "\x8f\xfd\xe1"=>0xe6dc,
    "\x8f\xfd\xe2"=>0xe6dd,
    "\x8f\xfd\xe3"=>0xe6de,
    "\x8f\xfd\xe4"=>0xe6df,
    "\x8f\xfd\xe5"=>0xe6e0,
    "\x8f\xfd\xe6"=>0xe6e1,
    "\x8f\xfd\xe7"=>0xe6e2,
    "\x8f\xfd\xe8"=>0xe6e3,
    "\x8f\xfd\xe9"=>0xe6e4,
    "\x8f\xfd\xea"=>0xe6e5,
    "\x8f\xfd\xeb"=>0xe6e6,
    "\x8f\xfd\xec"=>0xe6e7,
    "\x8f\xfd\xed"=>0xe6e8,
    "\x8f\xfd\xee"=>0xe6e9,
    "\x8f\xfd\xef"=>0xe6ea,
    "\x8f\xfd\xf0"=>0xe6eb,
    "\x8f\xfd\xf1"=>0xe6ec,
    "\x8f\xfd\xf2"=>0xe6ed,
    "\x8f\xfd\xf3"=>0xe6ee,
    "\x8f\xfd\xf4"=>0xe6ef,
    "\x8f\xfd\xf5"=>0xe6f0,
    "\x8f\xfd\xf6"=>0xe6f1,
    "\x8f\xfd\xf7"=>0xe6f2,
    "\x8f\xfd\xf8"=>0xe6f3,
    "\x8f\xfd\xf9"=>0xe6f4,
    "\x8f\xfd\xfa"=>0xe6f5,
    "\x8f\xfd\xfb"=>0xe6f6,
    "\x8f\xfd\xfc"=>0xe6f7,
    "\x8f\xfd\xfd"=>0xe6f8,
    "\x8f\xfd\xfe"=>0xe6f9,
    "\x8f\xfe\xa1"=>0xe6fa,
    "\x8f\xfe\xa2"=>0xe6fb,
    "\x8f\xfe\xa3"=>0xe6fc,
    "\x8f\xfe\xa4"=>0xe6fd,
    "\x8f\xfe\xa5"=>0xe6fe,
    "\x8f\xfe\xa6"=>0xe6ff,
    "\x8f\xfe\xa7"=>0xe700,
    "\x8f\xfe\xa8"=>0xe701,
    "\x8f\xfe\xa9"=>0xe702,
    "\x8f\xfe\xaa"=>0xe703,
    "\x8f\xfe\xab"=>0xe704,
    "\x8f\xfe\xac"=>0xe705,
    "\x8f\xfe\xad"=>0xe706,
    "\x8f\xfe\xae"=>0xe707,
    "\x8f\xfe\xaf"=>0xe708,
    "\x8f\xfe\xb0"=>0xe709,
    "\x8f\xfe\xb1"=>0xe70a,
    "\x8f\xfe\xb2"=>0xe70b,
    "\x8f\xfe\xb3"=>0xe70c,
    "\x8f\xfe\xb4"=>0xe70d,
    "\x8f\xfe\xb5"=>0xe70e,
    "\x8f\xfe\xb6"=>0xe70f,
    "\x8f\xfe\xb7"=>0xe710,
    "\x8f\xfe\xb8"=>0xe711,
    "\x8f\xfe\xb9"=>0xe712,
    "\x8f\xfe\xba"=>0xe713,
    "\x8f\xfe\xbb"=>0xe714,
    "\x8f\xfe\xbc"=>0xe715,
    "\x8f\xfe\xbd"=>0xe716,
    "\x8f\xfe\xbe"=>0xe717,
    "\x8f\xfe\xbf"=>0xe718,
    "\x8f\xfe\xc0"=>0xe719,
    "\x8f\xfe\xc1"=>0xe71a,
    "\x8f\xfe\xc2"=>0xe71b,
    "\x8f\xfe\xc3"=>0xe71c,
    "\x8f\xfe\xc4"=>0xe71d,
    "\x8f\xfe\xc5"=>0xe71e,
    "\x8f\xfe\xc6"=>0xe71f,
    "\x8f\xfe\xc7"=>0xe720,
    "\x8f\xfe\xc8"=>0xe721,
    "\x8f\xfe\xc9"=>0xe722,
    "\x8f\xfe\xca"=>0xe723,
    "\x8f\xfe\xcb"=>0xe724,
    "\x8f\xfe\xcc"=>0xe725,
    "\x8f\xfe\xcd"=>0xe726,
    "\x8f\xfe\xce"=>0xe727,
    "\x8f\xfe\xcf"=>0xe728,
    "\x8f\xfe\xd0"=>0xe729,
    "\x8f\xfe\xd1"=>0xe72a,
    "\x8f\xfe\xd2"=>0xe72b,
    "\x8f\xfe\xd3"=>0xe72c,
    "\x8f\xfe\xd4"=>0xe72d,
    "\x8f\xfe\xd5"=>0xe72e,
    "\x8f\xfe\xd6"=>0xe72f,
    "\x8f\xfe\xd7"=>0xe730,
    "\x8f\xfe\xd8"=>0xe731,
    "\x8f\xfe\xd9"=>0xe732,
    "\x8f\xfe\xda"=>0xe733,
    "\x8f\xfe\xdb"=>0xe734,
    "\x8f\xfe\xdc"=>0xe735,
    "\x8f\xfe\xdd"=>0xe736,
    "\x8f\xfe\xde"=>0xe737,
    "\x8f\xfe\xdf"=>0xe738,
    "\x8f\xfe\xe0"=>0xe739,
    "\x8f\xfe\xe1"=>0xe73a,
    "\x8f\xfe\xe2"=>0xe73b,
    "\x8f\xfe\xe3"=>0xe73c,
    "\x8f\xfe\xe4"=>0xe73d,
    "\x8f\xfe\xe5"=>0xe73e,
    "\x8f\xfe\xe6"=>0xe73f,
    "\x8f\xfe\xe7"=>0xe740,
    "\x8f\xfe\xe8"=>0xe741,
    "\x8f\xfe\xe9"=>0xe742,
    "\x8f\xfe\xea"=>0xe743,
    "\x8f\xfe\xeb"=>0xe744,
    "\x8f\xfe\xec"=>0xe745,
    "\x8f\xfe\xed"=>0xe746,
    "\x8f\xfe\xee"=>0xe747,
    "\x8f\xfe\xef"=>0xe748,
    "\x8f\xfe\xf0"=>0xe749,
    "\x8f\xfe\xf1"=>0xe74a,
    "\x8f\xfe\xf2"=>0xe74b,
    "\x8f\xfe\xf3"=>0xe74c,
    "\x8f\xfe\xf4"=>0xe74d,
    "\x8f\xfe\xf5"=>0xe74e,
    "\x8f\xfe\xf6"=>0xe74f,
    "\x8f\xfe\xf7"=>0xe750,
    "\x8f\xfe\xf8"=>0xe751,
    "\x8f\xfe\xf9"=>0xe752,
    "\x8f\xfe\xfa"=>0xe753,
    "\x8f\xfe\xfb"=>0xe754,
    "\x8f\xfe\xfc"=>0xe755,
    "\x8f\xfe\xfd"=>0xe756,
    "\x8f\xfe\xfe"=>0xe757,
  }

  UCS_EUCJPOPEN_MAP = {
    0x2121=>"\xad\xe4",
    0x2160=>"\xad\xb5",
    0x2161=>"\xad\xb6",
    0x2162=>"\xad\xb7",
    0x2163=>"\xad\xb8",
    0x2164=>"\xad\xb9",
    0x2165=>"\xad\xba",
    0x2166=>"\xad\xbb",
    0x2167=>"\xad\xbc",
    0x2168=>"\xad\xbd",
    0x2169=>"\xad\xbe",
    0x2170=>"\x8f\xf3\xf3",
    0x2171=>"\x8f\xf3\xf4",
    0x2172=>"\x8f\xf3\xf5",
    0x2173=>"\x8f\xf3\xf6",
    0x2174=>"\x8f\xf3\xf7",
    0x2175=>"\x8f\xf3\xf8",
    0x2176=>"\x8f\xf3\xf9",
    0x2177=>"\x8f\xf3\xfa",
    0x2178=>"\x8f\xf3\xfb",
    0x2179=>"\x8f\xf3\xfc",
    0x2211=>"\xad\xf4",
    0x221f=>"\xad\xf8",
    0x2225=>"\xa1\xc2",
    0x222e=>"\xad\xf3",
    0x22bf=>"\xad\xf9",
    0x2460=>"\xad\xa1",
    0x2461=>"\xad\xa2",
    0x2462=>"\xad\xa3",
    0x2463=>"\xad\xa4",
    0x2464=>"\xad\xa5",
    0x2465=>"\xad\xa6",
    0x2466=>"\xad\xa7",
    0x2467=>"\xad\xa8",
    0x2468=>"\xad\xa9",
    0x2469=>"\xad\xaa",
    0x246a=>"\xad\xab",
    0x246b=>"\xad\xac",
    0x246c=>"\xad\xad",
    0x246d=>"\xad\xae",
    0x246e=>"\xad\xaf",
    0x246f=>"\xad\xb0",
    0x2470=>"\xad\xb1",
    0x2471=>"\xad\xb2",
    0x2472=>"\xad\xb3",
    0x2473=>"\xad\xb4",
    0x301d=>"\xad\xe0",
    0x301f=>"\xad\xe1",
    0x3231=>"\xad\xea",
    0x3232=>"\xad\xeb",
    0x3239=>"\xad\xec",
    0x32a4=>"\xad\xe5",
    0x32a5=>"\xad\xe6",
    0x32a6=>"\xad\xe7",
    0x32a7=>"\xad\xe8",
    0x32a8=>"\xad\xe9",
    0x3303=>"\xad\xc6",
    0x330d=>"\xad\xca",
    0x3314=>"\xad\xc1",
    0x3318=>"\xad\xc4",
    0x3322=>"\xad\xc2",
    0x3323=>"\xad\xcc",
    0x3326=>"\xad\xcb",
    0x3327=>"\xad\xc5",
    0x332b=>"\xad\xcd",
    0x3336=>"\xad\xc7",
    0x333b=>"\xad\xcf",
    0x3349=>"\xad\xc0",
    0x334a=>"\xad\xce",
    0x334d=>"\xad\xc3",
    0x3351=>"\xad\xc8",
    0x3357=>"\xad\xc9",
    0x337b=>"\xad\xdf",
    0x337c=>"\xad\xef",
    0x337d=>"\xad\xee",
    0x337e=>"\xad\xed",
    0x338e=>"\xad\xd3",
    0x338f=>"\xad\xd4",
    0x339c=>"\xad\xd0",
    0x339d=>"\xad\xd1",
    0x339e=>"\xad\xd2",
    0x33a1=>"\xad\xd6",
    0x33c4=>"\xad\xd5",
    0x33cd=>"\xad\xe3",
    0x4efc=>"\x8f\xf4\xaf",
    0x50f4=>"\x8f\xf4\xb0",
    0x51ec=>"\x8f\xf4\xb1",
    0x5307=>"\x8f\xf4\xb2",
    0x5324=>"\x8f\xf4\xb3",
    0x548a=>"\x8f\xf4\xb5",
    0x5759=>"\x8f\xf4\xb6",
    0x589e=>"\x8f\xf4\xb9",
    0x5bec=>"\x8f\xf4\xba",
    0x5cf5=>"\x8f\xf4\xbb",
    0x5d53=>"\x8f\xf4\xbc",
    0x5fb7=>"\x8f\xf4\xbe",
    0x6085=>"\x8f\xf4\xbf",
    0x6120=>"\x8f\xf4\xc0",
    0x654e=>"\x8f\xf4\xc1",
    0x663b=>"\x8f\xf4\xc2",
    0x6665=>"\x8f\xf4\xc3",
    0x6801=>"\x8f\xf4\xc6",
    0x6a6b=>"\x8f\xf4\xc9",
    0x6ae2=>"\x8f\xf4\xca",
    0x6df2=>"\x8f\xf4\xcc",
    0x6df8=>"\x8f\xf4\xcb",
    0x7028=>"\x8f\xf4\xcd",
    0x70bb=>"\x8f\xf4\xae",
    0x7501=>"\x8f\xf4\xd0",
    0x7682=>"\x8f\xf4\xd1",
    0x769e=>"\x8f\xf4\xd2",
    0x7930=>"\x8f\xf4\xd4",
    0x7ae7=>"\x8f\xf4\xd9",
    0x7da0=>"\x8f\xf4\xdc",
    0x7dd6=>"\x8f\xf4\xdd",
    0x8362=>"\x8f\xf4\xdf",
    0x85b0=>"\x8f\xf4\xe1",
    0x8807=>"\x8f\xf4\xe4",
    0x8b7f=>"\x8f\xf4\xe6",
    0x8cf4=>"\x8f\xf4\xe7",
    0x8d76=>"\x8f\xf4\xe8",
    0x90de=>"\x8f\xf4\xec",
    0x9115=>"\x8f\xf4\xee",
    0x9592=>"\x8f\xf4\xf1",
    0x973b=>"\x8f\xf4\xf4",
    0x974d=>"\x8f\xf4\xf5",
    0x9751=>"\x8f\xf4\xf6",
    0x999e=>"\x8f\xf4\xfa",
    0x9ad9=>"\x8f\xf4\xfb",
    0x9b72=>"\x8f\xf4\xfc",
    0x9ed1=>"\x8f\xf4\xfe",
    0xe000=>"\xf5\xa1",
    0xe001=>"\xf5\xa2",
    0xe002=>"\xf5\xa3",
    0xe003=>"\xf5\xa4",
    0xe004=>"\xf5\xa5",
    0xe005=>"\xf5\xa6",
    0xe006=>"\xf5\xa7",
    0xe007=>"\xf5\xa8",
    0xe008=>"\xf5\xa9",
    0xe009=>"\xf5\xaa",
    0xe00a=>"\xf5\xab",
    0xe00b=>"\xf5\xac",
    0xe00c=>"\xf5\xad",
    0xe00d=>"\xf5\xae",
    0xe00e=>"\xf5\xaf",
    0xe00f=>"\xf5\xb0",
    0xe010=>"\xf5\xb1",
    0xe011=>"\xf5\xb2",
    0xe012=>"\xf5\xb3",
    0xe013=>"\xf5\xb4",
    0xe014=>"\xf5\xb5",
    0xe015=>"\xf5\xb6",
    0xe016=>"\xf5\xb7",
    0xe017=>"\xf5\xb8",
    0xe018=>"\xf5\xb9",
    0xe019=>"\xf5\xba",
    0xe01a=>"\xf5\xbb",
    0xe01b=>"\xf5\xbc",
    0xe01c=>"\xf5\xbd",
    0xe01d=>"\xf5\xbe",
    0xe01e=>"\xf5\xbf",
    0xe01f=>"\xf5\xc0",
    0xe020=>"\xf5\xc1",
    0xe021=>"\xf5\xc2",
    0xe022=>"\xf5\xc3",
    0xe023=>"\xf5\xc4",
    0xe024=>"\xf5\xc5",
    0xe025=>"\xf5\xc6",
    0xe026=>"\xf5\xc7",
    0xe027=>"\xf5\xc8",
    0xe028=>"\xf5\xc9",
    0xe029=>"\xf5\xca",
    0xe02a=>"\xf5\xcb",
    0xe02b=>"\xf5\xcc",
    0xe02c=>"\xf5\xcd",
    0xe02d=>"\xf5\xce",
    0xe02e=>"\xf5\xcf",
    0xe02f=>"\xf5\xd0",
    0xe030=>"\xf5\xd1",
    0xe031=>"\xf5\xd2",
    0xe032=>"\xf5\xd3",
    0xe033=>"\xf5\xd4",
    0xe034=>"\xf5\xd5",
    0xe035=>"\xf5\xd6",
    0xe036=>"\xf5\xd7",
    0xe037=>"\xf5\xd8",
    0xe038=>"\xf5\xd9",
    0xe039=>"\xf5\xda",
    0xe03a=>"\xf5\xdb",
    0xe03b=>"\xf5\xdc",
    0xe03c=>"\xf5\xdd",
    0xe03d=>"\xf5\xde",
    0xe03e=>"\xf5\xdf",
    0xe03f=>"\xf5\xe0",
    0xe040=>"\xf5\xe1",
    0xe041=>"\xf5\xe2",
    0xe042=>"\xf5\xe3",
    0xe043=>"\xf5\xe4",
    0xe044=>"\xf5\xe5",
    0xe045=>"\xf5\xe6",
    0xe046=>"\xf5\xe7",
    0xe047=>"\xf5\xe8",
    0xe048=>"\xf5\xe9",
    0xe049=>"\xf5\xea",
    0xe04a=>"\xf5\xeb",
    0xe04b=>"\xf5\xec",
    0xe04c=>"\xf5\xed",
    0xe04d=>"\xf5\xee",
    0xe04e=>"\xf5\xef",
    0xe04f=>"\xf5\xf0",
    0xe050=>"\xf5\xf1",
    0xe051=>"\xf5\xf2",
    0xe052=>"\xf5\xf3",
    0xe053=>"\xf5\xf4",
    0xe054=>"\xf5\xf5",
    0xe055=>"\xf5\xf6",
    0xe056=>"\xf5\xf7",
    0xe057=>"\xf5\xf8",
    0xe058=>"\xf5\xf9",
    0xe059=>"\xf5\xfa",
    0xe05a=>"\xf5\xfb",
    0xe05b=>"\xf5\xfc",
    0xe05c=>"\xf5\xfd",
    0xe05d=>"\xf5\xfe",
    0xe05e=>"\xf6\xa1",
    0xe05f=>"\xf6\xa2",
    0xe060=>"\xf6\xa3",
    0xe061=>"\xf6\xa4",
    0xe062=>"\xf6\xa5",
    0xe063=>"\xf6\xa6",
    0xe064=>"\xf6\xa7",
    0xe065=>"\xf6\xa8",
    0xe066=>"\xf6\xa9",
    0xe067=>"\xf6\xaa",
    0xe068=>"\xf6\xab",
    0xe069=>"\xf6\xac",
    0xe06a=>"\xf6\xad",
    0xe06b=>"\xf6\xae",
    0xe06c=>"\xf6\xaf",
    0xe06d=>"\xf6\xb0",
    0xe06e=>"\xf6\xb1",
    0xe06f=>"\xf6\xb2",
    0xe070=>"\xf6\xb3",
    0xe071=>"\xf6\xb4",
    0xe072=>"\xf6\xb5",
    0xe073=>"\xf6\xb6",
    0xe074=>"\xf6\xb7",
    0xe075=>"\xf6\xb8",
    0xe076=>"\xf6\xb9",
    0xe077=>"\xf6\xba",
    0xe078=>"\xf6\xbb",
    0xe079=>"\xf6\xbc",
    0xe07a=>"\xf6\xbd",
    0xe07b=>"\xf6\xbe",
    0xe07c=>"\xf6\xbf",
    0xe07d=>"\xf6\xc0",
    0xe07e=>"\xf6\xc1",
    0xe07f=>"\xf6\xc2",
    0xe080=>"\xf6\xc3",
    0xe081=>"\xf6\xc4",
    0xe082=>"\xf6\xc5",
    0xe083=>"\xf6\xc6",
    0xe084=>"\xf6\xc7",
    0xe085=>"\xf6\xc8",
    0xe086=>"\xf6\xc9",
    0xe087=>"\xf6\xca",
    0xe088=>"\xf6\xcb",
    0xe089=>"\xf6\xcc",
    0xe08a=>"\xf6\xcd",
    0xe08b=>"\xf6\xce",
    0xe08c=>"\xf6\xcf",
    0xe08d=>"\xf6\xd0",
    0xe08e=>"\xf6\xd1",
    0xe08f=>"\xf6\xd2",
    0xe090=>"\xf6\xd3",
    0xe091=>"\xf6\xd4",
    0xe092=>"\xf6\xd5",
    0xe093=>"\xf6\xd6",
    0xe094=>"\xf6\xd7",
    0xe095=>"\xf6\xd8",
    0xe096=>"\xf6\xd9",
    0xe097=>"\xf6\xda",
    0xe098=>"\xf6\xdb",
    0xe099=>"\xf6\xdc",
    0xe09a=>"\xf6\xdd",
    0xe09b=>"\xf6\xde",
    0xe09c=>"\xf6\xdf",
    0xe09d=>"\xf6\xe0",
    0xe09e=>"\xf6\xe1",
    0xe09f=>"\xf6\xe2",
    0xe0a0=>"\xf6\xe3",
    0xe0a1=>"\xf6\xe4",
    0xe0a2=>"\xf6\xe5",
    0xe0a3=>"\xf6\xe6",
    0xe0a4=>"\xf6\xe7",
    0xe0a5=>"\xf6\xe8",
    0xe0a6=>"\xf6\xe9",
    0xe0a7=>"\xf6\xea",
    0xe0a8=>"\xf6\xeb",
    0xe0a9=>"\xf6\xec",
    0xe0aa=>"\xf6\xed",
    0xe0ab=>"\xf6\xee",
    0xe0ac=>"\xf6\xef",
    0xe0ad=>"\xf6\xf0",
    0xe0ae=>"\xf6\xf1",
    0xe0af=>"\xf6\xf2",
    0xe0b0=>"\xf6\xf3",
    0xe0b1=>"\xf6\xf4",
    0xe0b2=>"\xf6\xf5",
    0xe0b3=>"\xf6\xf6",
    0xe0b4=>"\xf6\xf7",
    0xe0b5=>"\xf6\xf8",
    0xe0b6=>"\xf6\xf9",
    0xe0b7=>"\xf6\xfa",
    0xe0b8=>"\xf6\xfb",
    0xe0b9=>"\xf6\xfc",
    0xe0ba=>"\xf6\xfd",
    0xe0bb=>"\xf6\xfe",
    0xe0bc=>"\xf7\xa1",
    0xe0bd=>"\xf7\xa2",
    0xe0be=>"\xf7\xa3",
    0xe0bf=>"\xf7\xa4",
    0xe0c0=>"\xf7\xa5",
    0xe0c1=>"\xf7\xa6",
    0xe0c2=>"\xf7\xa7",
    0xe0c3=>"\xf7\xa8",
    0xe0c4=>"\xf7\xa9",
    0xe0c5=>"\xf7\xaa",
    0xe0c6=>"\xf7\xab",
    0xe0c7=>"\xf7\xac",
    0xe0c8=>"\xf7\xad",
    0xe0c9=>"\xf7\xae",
    0xe0ca=>"\xf7\xaf",
    0xe0cb=>"\xf7\xb0",
    0xe0cc=>"\xf7\xb1",
    0xe0cd=>"\xf7\xb2",
    0xe0ce=>"\xf7\xb3",
    0xe0cf=>"\xf7\xb4",
    0xe0d0=>"\xf7\xb5",
    0xe0d1=>"\xf7\xb6",
    0xe0d2=>"\xf7\xb7",
    0xe0d3=>"\xf7\xb8",
    0xe0d4=>"\xf7\xb9",
    0xe0d5=>"\xf7\xba",
    0xe0d6=>"\xf7\xbb",
    0xe0d7=>"\xf7\xbc",
    0xe0d8=>"\xf7\xbd",
    0xe0d9=>"\xf7\xbe",
    0xe0da=>"\xf7\xbf",
    0xe0db=>"\xf7\xc0",
    0xe0dc=>"\xf7\xc1",
    0xe0dd=>"\xf7\xc2",
    0xe0de=>"\xf7\xc3",
    0xe0df=>"\xf7\xc4",
    0xe0e0=>"\xf7\xc5",
    0xe0e1=>"\xf7\xc6",
    0xe0e2=>"\xf7\xc7",
    0xe0e3=>"\xf7\xc8",
    0xe0e4=>"\xf7\xc9",
    0xe0e5=>"\xf7\xca",
    0xe0e6=>"\xf7\xcb",
    0xe0e7=>"\xf7\xcc",
    0xe0e8=>"\xf7\xcd",
    0xe0e9=>"\xf7\xce",
    0xe0ea=>"\xf7\xcf",
    0xe0eb=>"\xf7\xd0",
    0xe0ec=>"\xf7\xd1",
    0xe0ed=>"\xf7\xd2",
    0xe0ee=>"\xf7\xd3",
    0xe0ef=>"\xf7\xd4",
    0xe0f0=>"\xf7\xd5",
    0xe0f1=>"\xf7\xd6",
    0xe0f2=>"\xf7\xd7",
    0xe0f3=>"\xf7\xd8",
    0xe0f4=>"\xf7\xd9",
    0xe0f5=>"\xf7\xda",
    0xe0f6=>"\xf7\xdb",
    0xe0f7=>"\xf7\xdc",
    0xe0f8=>"\xf7\xdd",
    0xe0f9=>"\xf7\xde",
    0xe0fa=>"\xf7\xdf",
    0xe0fb=>"\xf7\xe0",
    0xe0fc=>"\xf7\xe1",
    0xe0fd=>"\xf7\xe2",
    0xe0fe=>"\xf7\xe3",
    0xe0ff=>"\xf7\xe4",
    0xe100=>"\xf7\xe5",
    0xe101=>"\xf7\xe6",
    0xe102=>"\xf7\xe7",
    0xe103=>"\xf7\xe8",
    0xe104=>"\xf7\xe9",
    0xe105=>"\xf7\xea",
    0xe106=>"\xf7\xeb",
    0xe107=>"\xf7\xec",
    0xe108=>"\xf7\xed",
    0xe109=>"\xf7\xee",
    0xe10a=>"\xf7\xef",
    0xe10b=>"\xf7\xf0",
    0xe10c=>"\xf7\xf1",
    0xe10d=>"\xf7\xf2",
    0xe10e=>"\xf7\xf3",
    0xe10f=>"\xf7\xf4",
    0xe110=>"\xf7\xf5",
    0xe111=>"\xf7\xf6",
    0xe112=>"\xf7\xf7",
    0xe113=>"\xf7\xf8",
    0xe114=>"\xf7\xf9",
    0xe115=>"\xf7\xfa",
    0xe116=>"\xf7\xfb",
    0xe117=>"\xf7\xfc",
    0xe118=>"\xf7\xfd",
    0xe119=>"\xf7\xfe",
    0xe11a=>"\xf8\xa1",
    0xe11b=>"\xf8\xa2",
    0xe11c=>"\xf8\xa3",
    0xe11d=>"\xf8\xa4",
    0xe11e=>"\xf8\xa5",
    0xe11f=>"\xf8\xa6",
    0xe120=>"\xf8\xa7",
    0xe121=>"\xf8\xa8",
    0xe122=>"\xf8\xa9",
    0xe123=>"\xf8\xaa",
    0xe124=>"\xf8\xab",
    0xe125=>"\xf8\xac",
    0xe126=>"\xf8\xad",
    0xe127=>"\xf8\xae",
    0xe128=>"\xf8\xaf",
    0xe129=>"\xf8\xb0",
    0xe12a=>"\xf8\xb1",
    0xe12b=>"\xf8\xb2",
    0xe12c=>"\xf8\xb3",
    0xe12d=>"\xf8\xb4",
    0xe12e=>"\xf8\xb5",
    0xe12f=>"\xf8\xb6",
    0xe130=>"\xf8\xb7",
    0xe131=>"\xf8\xb8",
    0xe132=>"\xf8\xb9",
    0xe133=>"\xf8\xba",
    0xe134=>"\xf8\xbb",
    0xe135=>"\xf8\xbc",
    0xe136=>"\xf8\xbd",
    0xe137=>"\xf8\xbe",
    0xe138=>"\xf8\xbf",
    0xe139=>"\xf8\xc0",
    0xe13a=>"\xf8\xc1",
    0xe13b=>"\xf8\xc2",
    0xe13c=>"\xf8\xc3",
    0xe13d=>"\xf8\xc4",
    0xe13e=>"\xf8\xc5",
    0xe13f=>"\xf8\xc6",
    0xe140=>"\xf8\xc7",
    0xe141=>"\xf8\xc8",
    0xe142=>"\xf8\xc9",
    0xe143=>"\xf8\xca",
    0xe144=>"\xf8\xcb",
    0xe145=>"\xf8\xcc",
    0xe146=>"\xf8\xcd",
    0xe147=>"\xf8\xce",
    0xe148=>"\xf8\xcf",
    0xe149=>"\xf8\xd0",
    0xe14a=>"\xf8\xd1",
    0xe14b=>"\xf8\xd2",
    0xe14c=>"\xf8\xd3",
    0xe14d=>"\xf8\xd4",
    0xe14e=>"\xf8\xd5",
    0xe14f=>"\xf8\xd6",
    0xe150=>"\xf8\xd7",
    0xe151=>"\xf8\xd8",
    0xe152=>"\xf8\xd9",
    0xe153=>"\xf8\xda",
    0xe154=>"\xf8\xdb",
    0xe155=>"\xf8\xdc",
    0xe156=>"\xf8\xdd",
    0xe157=>"\xf8\xde",
    0xe158=>"\xf8\xdf",
    0xe159=>"\xf8\xe0",
    0xe15a=>"\xf8\xe1",
    0xe15b=>"\xf8\xe2",
    0xe15c=>"\xf8\xe3",
    0xe15d=>"\xf8\xe4",
    0xe15e=>"\xf8\xe5",
    0xe15f=>"\xf8\xe6",
    0xe160=>"\xf8\xe7",
    0xe161=>"\xf8\xe8",
    0xe162=>"\xf8\xe9",
    0xe163=>"\xf8\xea",
    0xe164=>"\xf8\xeb",
    0xe165=>"\xf8\xec",
    0xe166=>"\xf8\xed",
    0xe167=>"\xf8\xee",
    0xe168=>"\xf8\xef",
    0xe169=>"\xf8\xf0",
    0xe16a=>"\xf8\xf1",
    0xe16b=>"\xf8\xf2",
    0xe16c=>"\xf8\xf3",
    0xe16d=>"\xf8\xf4",
    0xe16e=>"\xf8\xf5",
    0xe16f=>"\xf8\xf6",
    0xe170=>"\xf8\xf7",
    0xe171=>"\xf8\xf8",
    0xe172=>"\xf8\xf9",
    0xe173=>"\xf8\xfa",
    0xe174=>"\xf8\xfb",
    0xe175=>"\xf8\xfc",
    0xe176=>"\xf8\xfd",
    0xe177=>"\xf8\xfe",
    0xe178=>"\xf9\xa1",
    0xe179=>"\xf9\xa2",
    0xe17a=>"\xf9\xa3",
    0xe17b=>"\xf9\xa4",
    0xe17c=>"\xf9\xa5",
    0xe17d=>"\xf9\xa6",
    0xe17e=>"\xf9\xa7",
    0xe17f=>"\xf9\xa8",
    0xe180=>"\xf9\xa9",
    0xe181=>"\xf9\xaa",
    0xe182=>"\xf9\xab",
    0xe183=>"\xf9\xac",
    0xe184=>"\xf9\xad",
    0xe185=>"\xf9\xae",
    0xe186=>"\xf9\xaf",
    0xe187=>"\xf9\xb0",
    0xe188=>"\xf9\xb1",
    0xe189=>"\xf9\xb2",
    0xe18a=>"\xf9\xb3",
    0xe18b=>"\xf9\xb4",
    0xe18c=>"\xf9\xb5",
    0xe18d=>"\xf9\xb6",
    0xe18e=>"\xf9\xb7",
    0xe18f=>"\xf9\xb8",
    0xe190=>"\xf9\xb9",
    0xe191=>"\xf9\xba",
    0xe192=>"\xf9\xbb",
    0xe193=>"\xf9\xbc",
    0xe194=>"\xf9\xbd",
    0xe195=>"\xf9\xbe",
    0xe196=>"\xf9\xbf",
    0xe197=>"\xf9\xc0",
    0xe198=>"\xf9\xc1",
    0xe199=>"\xf9\xc2",
    0xe19a=>"\xf9\xc3",
    0xe19b=>"\xf9\xc4",
    0xe19c=>"\xf9\xc5",
    0xe19d=>"\xf9\xc6",
    0xe19e=>"\xf9\xc7",
    0xe19f=>"\xf9\xc8",
    0xe1a0=>"\xf9\xc9",
    0xe1a1=>"\xf9\xca",
    0xe1a2=>"\xf9\xcb",
    0xe1a3=>"\xf9\xcc",
    0xe1a4=>"\xf9\xcd",
    0xe1a5=>"\xf9\xce",
    0xe1a6=>"\xf9\xcf",
    0xe1a7=>"\xf9\xd0",
    0xe1a8=>"\xf9\xd1",
    0xe1a9=>"\xf9\xd2",
    0xe1aa=>"\xf9\xd3",
    0xe1ab=>"\xf9\xd4",
    0xe1ac=>"\xf9\xd5",
    0xe1ad=>"\xf9\xd6",
    0xe1ae=>"\xf9\xd7",
    0xe1af=>"\xf9\xd8",
    0xe1b0=>"\xf9\xd9",
    0xe1b1=>"\xf9\xda",
    0xe1b2=>"\xf9\xdb",
    0xe1b3=>"\xf9\xdc",
    0xe1b4=>"\xf9\xdd",
    0xe1b5=>"\xf9\xde",
    0xe1b6=>"\xf9\xdf",
    0xe1b7=>"\xf9\xe0",
    0xe1b8=>"\xf9\xe1",
    0xe1b9=>"\xf9\xe2",
    0xe1ba=>"\xf9\xe3",
    0xe1bb=>"\xf9\xe4",
    0xe1bc=>"\xf9\xe5",
    0xe1bd=>"\xf9\xe6",
    0xe1be=>"\xf9\xe7",
    0xe1bf=>"\xf9\xe8",
    0xe1c0=>"\xf9\xe9",
    0xe1c1=>"\xf9\xea",
    0xe1c2=>"\xf9\xeb",
    0xe1c3=>"\xf9\xec",
    0xe1c4=>"\xf9\xed",
    0xe1c5=>"\xf9\xee",
    0xe1c6=>"\xf9\xef",
    0xe1c7=>"\xf9\xf0",
    0xe1c8=>"\xf9\xf1",
    0xe1c9=>"\xf9\xf2",
    0xe1ca=>"\xf9\xf3",
    0xe1cb=>"\xf9\xf4",
    0xe1cc=>"\xf9\xf5",
    0xe1cd=>"\xf9\xf6",
    0xe1ce=>"\xf9\xf7",
    0xe1cf=>"\xf9\xf8",
    0xe1d0=>"\xf9\xf9",
    0xe1d1=>"\xf9\xfa",
    0xe1d2=>"\xf9\xfb",
    0xe1d3=>"\xf9\xfc",
    0xe1d4=>"\xf9\xfd",
    0xe1d5=>"\xf9\xfe",
    0xe1d6=>"\xfa\xa1",
    0xe1d7=>"\xfa\xa2",
    0xe1d8=>"\xfa\xa3",
    0xe1d9=>"\xfa\xa4",
    0xe1da=>"\xfa\xa5",
    0xe1db=>"\xfa\xa6",
    0xe1dc=>"\xfa\xa7",
    0xe1dd=>"\xfa\xa8",
    0xe1de=>"\xfa\xa9",
    0xe1df=>"\xfa\xaa",
    0xe1e0=>"\xfa\xab",
    0xe1e1=>"\xfa\xac",
    0xe1e2=>"\xfa\xad",
    0xe1e3=>"\xfa\xae",
    0xe1e4=>"\xfa\xaf",
    0xe1e5=>"\xfa\xb0",
    0xe1e6=>"\xfa\xb1",
    0xe1e7=>"\xfa\xb2",
    0xe1e8=>"\xfa\xb3",
    0xe1e9=>"\xfa\xb4",
    0xe1ea=>"\xfa\xb5",
    0xe1eb=>"\xfa\xb6",
    0xe1ec=>"\xfa\xb7",
    0xe1ed=>"\xfa\xb8",
    0xe1ee=>"\xfa\xb9",
    0xe1ef=>"\xfa\xba",
    0xe1f0=>"\xfa\xbb",
    0xe1f1=>"\xfa\xbc",
    0xe1f2=>"\xfa\xbd",
    0xe1f3=>"\xfa\xbe",
    0xe1f4=>"\xfa\xbf",
    0xe1f5=>"\xfa\xc0",
    0xe1f6=>"\xfa\xc1",
    0xe1f7=>"\xfa\xc2",
    0xe1f8=>"\xfa\xc3",
    0xe1f9=>"\xfa\xc4",
    0xe1fa=>"\xfa\xc5",
    0xe1fb=>"\xfa\xc6",
    0xe1fc=>"\xfa\xc7",
    0xe1fd=>"\xfa\xc8",
    0xe1fe=>"\xfa\xc9",
    0xe1ff=>"\xfa\xca",
    0xe200=>"\xfa\xcb",
    0xe201=>"\xfa\xcc",
    0xe202=>"\xfa\xcd",
    0xe203=>"\xfa\xce",
    0xe204=>"\xfa\xcf",
    0xe205=>"\xfa\xd0",
    0xe206=>"\xfa\xd1",
    0xe207=>"\xfa\xd2",
    0xe208=>"\xfa\xd3",
    0xe209=>"\xfa\xd4",
    0xe20a=>"\xfa\xd5",
    0xe20b=>"\xfa\xd6",
    0xe20c=>"\xfa\xd7",
    0xe20d=>"\xfa\xd8",
    0xe20e=>"\xfa\xd9",
    0xe20f=>"\xfa\xda",
    0xe210=>"\xfa\xdb",
    0xe211=>"\xfa\xdc",
    0xe212=>"\xfa\xdd",
    0xe213=>"\xfa\xde",
    0xe214=>"\xfa\xdf",
    0xe215=>"\xfa\xe0",
    0xe216=>"\xfa\xe1",
    0xe217=>"\xfa\xe2",
    0xe218=>"\xfa\xe3",
    0xe219=>"\xfa\xe4",
    0xe21a=>"\xfa\xe5",
    0xe21b=>"\xfa\xe6",
    0xe21c=>"\xfa\xe7",
    0xe21d=>"\xfa\xe8",
    0xe21e=>"\xfa\xe9",
    0xe21f=>"\xfa\xea",
    0xe220=>"\xfa\xeb",
    0xe221=>"\xfa\xec",
    0xe222=>"\xfa\xed",
    0xe223=>"\xfa\xee",
    0xe224=>"\xfa\xef",
    0xe225=>"\xfa\xf0",
    0xe226=>"\xfa\xf1",
    0xe227=>"\xfa\xf2",
    0xe228=>"\xfa\xf3",
    0xe229=>"\xfa\xf4",
    0xe22a=>"\xfa\xf5",
    0xe22b=>"\xfa\xf6",
    0xe22c=>"\xfa\xf7",
    0xe22d=>"\xfa\xf8",
    0xe22e=>"\xfa\xf9",
    0xe22f=>"\xfa\xfa",
    0xe230=>"\xfa\xfb",
    0xe231=>"\xfa\xfc",
    0xe232=>"\xfa\xfd",
    0xe233=>"\xfa\xfe",
    0xe234=>"\xfb\xa1",
    0xe235=>"\xfb\xa2",
    0xe236=>"\xfb\xa3",
    0xe237=>"\xfb\xa4",
    0xe238=>"\xfb\xa5",
    0xe239=>"\xfb\xa6",
    0xe23a=>"\xfb\xa7",
    0xe23b=>"\xfb\xa8",
    0xe23c=>"\xfb\xa9",
    0xe23d=>"\xfb\xaa",
    0xe23e=>"\xfb\xab",
    0xe23f=>"\xfb\xac",
    0xe240=>"\xfb\xad",
    0xe241=>"\xfb\xae",
    0xe242=>"\xfb\xaf",
    0xe243=>"\xfb\xb0",
    0xe244=>"\xfb\xb1",
    0xe245=>"\xfb\xb2",
    0xe246=>"\xfb\xb3",
    0xe247=>"\xfb\xb4",
    0xe248=>"\xfb\xb5",
    0xe249=>"\xfb\xb6",
    0xe24a=>"\xfb\xb7",
    0xe24b=>"\xfb\xb8",
    0xe24c=>"\xfb\xb9",
    0xe24d=>"\xfb\xba",
    0xe24e=>"\xfb\xbb",
    0xe24f=>"\xfb\xbc",
    0xe250=>"\xfb\xbd",
    0xe251=>"\xfb\xbe",
    0xe252=>"\xfb\xbf",
    0xe253=>"\xfb\xc0",
    0xe254=>"\xfb\xc1",
    0xe255=>"\xfb\xc2",
    0xe256=>"\xfb\xc3",
    0xe257=>"\xfb\xc4",
    0xe258=>"\xfb\xc5",
    0xe259=>"\xfb\xc6",
    0xe25a=>"\xfb\xc7",
    0xe25b=>"\xfb\xc8",
    0xe25c=>"\xfb\xc9",
    0xe25d=>"\xfb\xca",
    0xe25e=>"\xfb\xcb",
    0xe25f=>"\xfb\xcc",
    0xe260=>"\xfb\xcd",
    0xe261=>"\xfb\xce",
    0xe262=>"\xfb\xcf",
    0xe263=>"\xfb\xd0",
    0xe264=>"\xfb\xd1",
    0xe265=>"\xfb\xd2",
    0xe266=>"\xfb\xd3",
    0xe267=>"\xfb\xd4",
    0xe268=>"\xfb\xd5",
    0xe269=>"\xfb\xd6",
    0xe26a=>"\xfb\xd7",
    0xe26b=>"\xfb\xd8",
    0xe26c=>"\xfb\xd9",
    0xe26d=>"\xfb\xda",
    0xe26e=>"\xfb\xdb",
    0xe26f=>"\xfb\xdc",
    0xe270=>"\xfb\xdd",
    0xe271=>"\xfb\xde",
    0xe272=>"\xfb\xdf",
    0xe273=>"\xfb\xe0",
    0xe274=>"\xfb\xe1",
    0xe275=>"\xfb\xe2",
    0xe276=>"\xfb\xe3",
    0xe277=>"\xfb\xe4",
    0xe278=>"\xfb\xe5",
    0xe279=>"\xfb\xe6",
    0xe27a=>"\xfb\xe7",
    0xe27b=>"\xfb\xe8",
    0xe27c=>"\xfb\xe9",
    0xe27d=>"\xfb\xea",
    0xe27e=>"\xfb\xeb",
    0xe27f=>"\xfb\xec",
    0xe280=>"\xfb\xed",
    0xe281=>"\xfb\xee",
    0xe282=>"\xfb\xef",
    0xe283=>"\xfb\xf0",
    0xe284=>"\xfb\xf1",
    0xe285=>"\xfb\xf2",
    0xe286=>"\xfb\xf3",
    0xe287=>"\xfb\xf4",
    0xe288=>"\xfb\xf5",
    0xe289=>"\xfb\xf6",
    0xe28a=>"\xfb\xf7",
    0xe28b=>"\xfb\xf8",
    0xe28c=>"\xfb\xf9",
    0xe28d=>"\xfb\xfa",
    0xe28e=>"\xfb\xfb",
    0xe28f=>"\xfb\xfc",
    0xe290=>"\xfb\xfd",
    0xe291=>"\xfb\xfe",
    0xe292=>"\xfc\xa1",
    0xe293=>"\xfc\xa2",
    0xe294=>"\xfc\xa3",
    0xe295=>"\xfc\xa4",
    0xe296=>"\xfc\xa5",
    0xe297=>"\xfc\xa6",
    0xe298=>"\xfc\xa7",
    0xe299=>"\xfc\xa8",
    0xe29a=>"\xfc\xa9",
    0xe29b=>"\xfc\xaa",
    0xe29c=>"\xfc\xab",
    0xe29d=>"\xfc\xac",
    0xe29e=>"\xfc\xad",
    0xe29f=>"\xfc\xae",
    0xe2a0=>"\xfc\xaf",
    0xe2a1=>"\xfc\xb0",
    0xe2a2=>"\xfc\xb1",
    0xe2a3=>"\xfc\xb2",
    0xe2a4=>"\xfc\xb3",
    0xe2a5=>"\xfc\xb4",
    0xe2a6=>"\xfc\xb5",
    0xe2a7=>"\xfc\xb6",
    0xe2a8=>"\xfc\xb7",
    0xe2a9=>"\xfc\xb8",
    0xe2aa=>"\xfc\xb9",
    0xe2ab=>"\xfc\xba",
    0xe2ac=>"\xfc\xbb",
    0xe2ad=>"\xfc\xbc",
    0xe2ae=>"\xfc\xbd",
    0xe2af=>"\xfc\xbe",
    0xe2b0=>"\xfc\xbf",
    0xe2b1=>"\xfc\xc0",
    0xe2b2=>"\xfc\xc1",
    0xe2b3=>"\xfc\xc2",
    0xe2b4=>"\xfc\xc3",
    0xe2b5=>"\xfc\xc4",
    0xe2b6=>"\xfc\xc5",
    0xe2b7=>"\xfc\xc6",
    0xe2b8=>"\xfc\xc7",
    0xe2b9=>"\xfc\xc8",
    0xe2ba=>"\xfc\xc9",
    0xe2bb=>"\xfc\xca",
    0xe2bc=>"\xfc\xcb",
    0xe2bd=>"\xfc\xcc",
    0xe2be=>"\xfc\xcd",
    0xe2bf=>"\xfc\xce",
    0xe2c0=>"\xfc\xcf",
    0xe2c1=>"\xfc\xd0",
    0xe2c2=>"\xfc\xd1",
    0xe2c3=>"\xfc\xd2",
    0xe2c4=>"\xfc\xd3",
    0xe2c5=>"\xfc\xd4",
    0xe2c6=>"\xfc\xd5",
    0xe2c7=>"\xfc\xd6",
    0xe2c8=>"\xfc\xd7",
    0xe2c9=>"\xfc\xd8",
    0xe2ca=>"\xfc\xd9",
    0xe2cb=>"\xfc\xda",
    0xe2cc=>"\xfc\xdb",
    0xe2cd=>"\xfc\xdc",
    0xe2ce=>"\xfc\xdd",
    0xe2cf=>"\xfc\xde",
    0xe2d0=>"\xfc\xdf",
    0xe2d1=>"\xfc\xe0",
    0xe2d2=>"\xfc\xe1",
    0xe2d3=>"\xfc\xe2",
    0xe2d4=>"\xfc\xe3",
    0xe2d5=>"\xfc\xe4",
    0xe2d6=>"\xfc\xe5",
    0xe2d7=>"\xfc\xe6",
    0xe2d8=>"\xfc\xe7",
    0xe2d9=>"\xfc\xe8",
    0xe2da=>"\xfc\xe9",
    0xe2db=>"\xfc\xea",
    0xe2dc=>"\xfc\xeb",
    0xe2dd=>"\xfc\xec",
    0xe2de=>"\xfc\xed",
    0xe2df=>"\xfc\xee",
    0xe2e0=>"\xfc\xef",
    0xe2e1=>"\xfc\xf0",
    0xe2e2=>"\xfc\xf1",
    0xe2e3=>"\xfc\xf2",
    0xe2e4=>"\xfc\xf3",
    0xe2e5=>"\xfc\xf4",
    0xe2e6=>"\xfc\xf5",
    0xe2e7=>"\xfc\xf6",
    0xe2e8=>"\xfc\xf7",
    0xe2e9=>"\xfc\xf8",
    0xe2ea=>"\xfc\xf9",
    0xe2eb=>"\xfc\xfa",
    0xe2ec=>"\xfc\xfb",
    0xe2ed=>"\xfc\xfc",
    0xe2ee=>"\xfc\xfd",
    0xe2ef=>"\xfc\xfe",
    0xe2f0=>"\xfd\xa1",
    0xe2f1=>"\xfd\xa2",
    0xe2f2=>"\xfd\xa3",
    0xe2f3=>"\xfd\xa4",
    0xe2f4=>"\xfd\xa5",
    0xe2f5=>"\xfd\xa6",
    0xe2f6=>"\xfd\xa7",
    0xe2f7=>"\xfd\xa8",
    0xe2f8=>"\xfd\xa9",
    0xe2f9=>"\xfd\xaa",
    0xe2fa=>"\xfd\xab",
    0xe2fb=>"\xfd\xac",
    0xe2fc=>"\xfd\xad",
    0xe2fd=>"\xfd\xae",
    0xe2fe=>"\xfd\xaf",
    0xe2ff=>"\xfd\xb0",
    0xe300=>"\xfd\xb1",
    0xe301=>"\xfd\xb2",
    0xe302=>"\xfd\xb3",
    0xe303=>"\xfd\xb4",
    0xe304=>"\xfd\xb5",
    0xe305=>"\xfd\xb6",
    0xe306=>"\xfd\xb7",
    0xe307=>"\xfd\xb8",
    0xe308=>"\xfd\xb9",
    0xe309=>"\xfd\xba",
    0xe30a=>"\xfd\xbb",
    0xe30b=>"\xfd\xbc",
    0xe30c=>"\xfd\xbd",
    0xe30d=>"\xfd\xbe",
    0xe30e=>"\xfd\xbf",
    0xe30f=>"\xfd\xc0",
    0xe310=>"\xfd\xc1",
    0xe311=>"\xfd\xc2",
    0xe312=>"\xfd\xc3",
    0xe313=>"\xfd\xc4",
    0xe314=>"\xfd\xc5",
    0xe315=>"\xfd\xc6",
    0xe316=>"\xfd\xc7",
    0xe317=>"\xfd\xc8",
    0xe318=>"\xfd\xc9",
    0xe319=>"\xfd\xca",
    0xe31a=>"\xfd\xcb",
    0xe31b=>"\xfd\xcc",
    0xe31c=>"\xfd\xcd",
    0xe31d=>"\xfd\xce",
    0xe31e=>"\xfd\xcf",
    0xe31f=>"\xfd\xd0",
    0xe320=>"\xfd\xd1",
    0xe321=>"\xfd\xd2",
    0xe322=>"\xfd\xd3",
    0xe323=>"\xfd\xd4",
    0xe324=>"\xfd\xd5",
    0xe325=>"\xfd\xd6",
    0xe326=>"\xfd\xd7",
    0xe327=>"\xfd\xd8",
    0xe328=>"\xfd\xd9",
    0xe329=>"\xfd\xda",
    0xe32a=>"\xfd\xdb",
    0xe32b=>"\xfd\xdc",
    0xe32c=>"\xfd\xdd",
    0xe32d=>"\xfd\xde",
    0xe32e=>"\xfd\xdf",
    0xe32f=>"\xfd\xe0",
    0xe330=>"\xfd\xe1",
    0xe331=>"\xfd\xe2",
    0xe332=>"\xfd\xe3",
    0xe333=>"\xfd\xe4",
    0xe334=>"\xfd\xe5",
    0xe335=>"\xfd\xe6",
    0xe336=>"\xfd\xe7",
    0xe337=>"\xfd\xe8",
    0xe338=>"\xfd\xe9",
    0xe339=>"\xfd\xea",
    0xe33a=>"\xfd\xeb",
    0xe33b=>"\xfd\xec",
    0xe33c=>"\xfd\xed",
    0xe33d=>"\xfd\xee",
    0xe33e=>"\xfd\xef",
    0xe33f=>"\xfd\xf0",
    0xe340=>"\xfd\xf1",
    0xe341=>"\xfd\xf2",
    0xe342=>"\xfd\xf3",
    0xe343=>"\xfd\xf4",
    0xe344=>"\xfd\xf5",
    0xe345=>"\xfd\xf6",
    0xe346=>"\xfd\xf7",
    0xe347=>"\xfd\xf8",
    0xe348=>"\xfd\xf9",
    0xe349=>"\xfd\xfa",
    0xe34a=>"\xfd\xfb",
    0xe34b=>"\xfd\xfc",
    0xe34c=>"\xfd\xfd",
    0xe34d=>"\xfd\xfe",
    0xe34e=>"\xfe\xa1",
    0xe34f=>"\xfe\xa2",
    0xe350=>"\xfe\xa3",
    0xe351=>"\xfe\xa4",
    0xe352=>"\xfe\xa5",
    0xe353=>"\xfe\xa6",
    0xe354=>"\xfe\xa7",
    0xe355=>"\xfe\xa8",
    0xe356=>"\xfe\xa9",
    0xe357=>"\xfe\xaa",
    0xe358=>"\xfe\xab",
    0xe359=>"\xfe\xac",
    0xe35a=>"\xfe\xad",
    0xe35b=>"\xfe\xae",
    0xe35c=>"\xfe\xaf",
    0xe35d=>"\xfe\xb0",
    0xe35e=>"\xfe\xb1",
    0xe35f=>"\xfe\xb2",
    0xe360=>"\xfe\xb3",
    0xe361=>"\xfe\xb4",
    0xe362=>"\xfe\xb5",
    0xe363=>"\xfe\xb6",
    0xe364=>"\xfe\xb7",
    0xe365=>"\xfe\xb8",
    0xe366=>"\xfe\xb9",
    0xe367=>"\xfe\xba",
    0xe368=>"\xfe\xbb",
    0xe369=>"\xfe\xbc",
    0xe36a=>"\xfe\xbd",
    0xe36b=>"\xfe\xbe",
    0xe36c=>"\xfe\xbf",
    0xe36d=>"\xfe\xc0",
    0xe36e=>"\xfe\xc1",
    0xe36f=>"\xfe\xc2",
    0xe370=>"\xfe\xc3",
    0xe371=>"\xfe\xc4",
    0xe372=>"\xfe\xc5",
    0xe373=>"\xfe\xc6",
    0xe374=>"\xfe\xc7",
    0xe375=>"\xfe\xc8",
    0xe376=>"\xfe\xc9",
    0xe377=>"\xfe\xca",
    0xe378=>"\xfe\xcb",
    0xe379=>"\xfe\xcc",
    0xe37a=>"\xfe\xcd",
    0xe37b=>"\xfe\xce",
    0xe37c=>"\xfe\xcf",
    0xe37d=>"\xfe\xd0",
    0xe37e=>"\xfe\xd1",
    0xe37f=>"\xfe\xd2",
    0xe380=>"\xfe\xd3",
    0xe381=>"\xfe\xd4",
    0xe382=>"\xfe\xd5",
    0xe383=>"\xfe\xd6",
    0xe384=>"\xfe\xd7",
    0xe385=>"\xfe\xd8",
    0xe386=>"\xfe\xd9",
    0xe387=>"\xfe\xda",
    0xe388=>"\xfe\xdb",
    0xe389=>"\xfe\xdc",
    0xe38a=>"\xfe\xdd",
    0xe38b=>"\xfe\xde",
    0xe38c=>"\xfe\xdf",
    0xe38d=>"\xfe\xe0",
    0xe38e=>"\xfe\xe1",
    0xe38f=>"\xfe\xe2",
    0xe390=>"\xfe\xe3",
    0xe391=>"\xfe\xe4",
    0xe392=>"\xfe\xe5",
    0xe393=>"\xfe\xe6",
    0xe394=>"\xfe\xe7",
    0xe395=>"\xfe\xe8",
    0xe396=>"\xfe\xe9",
    0xe397=>"\xfe\xea",
    0xe398=>"\xfe\xeb",
    0xe399=>"\xfe\xec",
    0xe39a=>"\xfe\xed",
    0xe39b=>"\xfe\xee",
    0xe39c=>"\xfe\xef",
    0xe39d=>"\xfe\xf0",
    0xe39e=>"\xfe\xf1",
    0xe39f=>"\xfe\xf2",
    0xe3a0=>"\xfe\xf3",
    0xe3a1=>"\xfe\xf4",
    0xe3a2=>"\xfe\xf5",
    0xe3a3=>"\xfe\xf6",
    0xe3a4=>"\xfe\xf7",
    0xe3a5=>"\xfe\xf8",
    0xe3a6=>"\xfe\xf9",
    0xe3a7=>"\xfe\xfa",
    0xe3a8=>"\xfe\xfb",
    0xe3a9=>"\xfe\xfc",
    0xe3aa=>"\xfe\xfd",
    0xe3ab=>"\xfe\xfe",
    0xe3ac=>"\x8f\xf5\xa1",
    0xe3ad=>"\x8f\xf5\xa2",
    0xe3ae=>"\x8f\xf5\xa3",
    0xe3af=>"\x8f\xf5\xa4",
    0xe3b0=>"\x8f\xf5\xa5",
    0xe3b1=>"\x8f\xf5\xa6",
    0xe3b2=>"\x8f\xf5\xa7",
    0xe3b3=>"\x8f\xf5\xa8",
    0xe3b4=>"\x8f\xf5\xa9",
    0xe3b5=>"\x8f\xf5\xaa",
    0xe3b6=>"\x8f\xf5\xab",
    0xe3b7=>"\x8f\xf5\xac",
    0xe3b8=>"\x8f\xf5\xad",
    0xe3b9=>"\x8f\xf5\xae",
    0xe3ba=>"\x8f\xf5\xaf",
    0xe3bb=>"\x8f\xf5\xb0",
    0xe3bc=>"\x8f\xf5\xb1",
    0xe3bd=>"\x8f\xf5\xb2",
    0xe3be=>"\x8f\xf5\xb3",
    0xe3bf=>"\x8f\xf5\xb4",
    0xe3c0=>"\x8f\xf5\xb5",
    0xe3c1=>"\x8f\xf5\xb6",
    0xe3c2=>"\x8f\xf5\xb7",
    0xe3c3=>"\x8f\xf5\xb8",
    0xe3c4=>"\x8f\xf5\xb9",
    0xe3c5=>"\x8f\xf5\xba",
    0xe3c6=>"\x8f\xf5\xbb",
    0xe3c7=>"\x8f\xf5\xbc",
    0xe3c8=>"\x8f\xf5\xbd",
    0xe3c9=>"\x8f\xf5\xbe",
    0xe3ca=>"\x8f\xf5\xbf",
    0xe3cb=>"\x8f\xf5\xc0",
    0xe3cc=>"\x8f\xf5\xc1",
    0xe3cd=>"\x8f\xf5\xc2",
    0xe3ce=>"\x8f\xf5\xc3",
    0xe3cf=>"\x8f\xf5\xc4",
    0xe3d0=>"\x8f\xf5\xc5",
    0xe3d1=>"\x8f\xf5\xc6",
    0xe3d2=>"\x8f\xf5\xc7",
    0xe3d3=>"\x8f\xf5\xc8",
    0xe3d4=>"\x8f\xf5\xc9",
    0xe3d5=>"\x8f\xf5\xca",
    0xe3d6=>"\x8f\xf5\xcb",
    0xe3d7=>"\x8f\xf5\xcc",
    0xe3d8=>"\x8f\xf5\xcd",
    0xe3d9=>"\x8f\xf5\xce",
    0xe3da=>"\x8f\xf5\xcf",
    0xe3db=>"\x8f\xf5\xd0",
    0xe3dc=>"\x8f\xf5\xd1",
    0xe3dd=>"\x8f\xf5\xd2",
    0xe3de=>"\x8f\xf5\xd3",
    0xe3df=>"\x8f\xf5\xd4",
    0xe3e0=>"\x8f\xf5\xd5",
    0xe3e1=>"\x8f\xf5\xd6",
    0xe3e2=>"\x8f\xf5\xd7",
    0xe3e3=>"\x8f\xf5\xd8",
    0xe3e4=>"\x8f\xf5\xd9",
    0xe3e5=>"\x8f\xf5\xda",
    0xe3e6=>"\x8f\xf5\xdb",
    0xe3e7=>"\x8f\xf5\xdc",
    0xe3e8=>"\x8f\xf5\xdd",
    0xe3e9=>"\x8f\xf5\xde",
    0xe3ea=>"\x8f\xf5\xdf",
    0xe3eb=>"\x8f\xf5\xe0",
    0xe3ec=>"\x8f\xf5\xe1",
    0xe3ed=>"\x8f\xf5\xe2",
    0xe3ee=>"\x8f\xf5\xe3",
    0xe3ef=>"\x8f\xf5\xe4",
    0xe3f0=>"\x8f\xf5\xe5",
    0xe3f1=>"\x8f\xf5\xe6",
    0xe3f2=>"\x8f\xf5\xe7",
    0xe3f3=>"\x8f\xf5\xe8",
    0xe3f4=>"\x8f\xf5\xe9",
    0xe3f5=>"\x8f\xf5\xea",
    0xe3f6=>"\x8f\xf5\xeb",
    0xe3f7=>"\x8f\xf5\xec",
    0xe3f8=>"\x8f\xf5\xed",
    0xe3f9=>"\x8f\xf5\xee",
    0xe3fa=>"\x8f\xf5\xef",
    0xe3fb=>"\x8f\xf5\xf0",
    0xe3fc=>"\x8f\xf5\xf1",
    0xe3fd=>"\x8f\xf5\xf2",
    0xe3fe=>"\x8f\xf5\xf3",
    0xe3ff=>"\x8f\xf5\xf4",
    0xe400=>"\x8f\xf5\xf5",
    0xe401=>"\x8f\xf5\xf6",
    0xe402=>"\x8f\xf5\xf7",
    0xe403=>"\x8f\xf5\xf8",
    0xe404=>"\x8f\xf5\xf9",
    0xe405=>"\x8f\xf5\xfa",
    0xe406=>"\x8f\xf5\xfb",
    0xe407=>"\x8f\xf5\xfc",
    0xe408=>"\x8f\xf5\xfd",
    0xe409=>"\x8f\xf5\xfe",
    0xe40a=>"\x8f\xf6\xa1",
    0xe40b=>"\x8f\xf6\xa2",
    0xe40c=>"\x8f\xf6\xa3",
    0xe40d=>"\x8f\xf6\xa4",
    0xe40e=>"\x8f\xf6\xa5",
    0xe40f=>"\x8f\xf6\xa6",
    0xe410=>"\x8f\xf6\xa7",
    0xe411=>"\x8f\xf6\xa8",
    0xe412=>"\x8f\xf6\xa9",
    0xe413=>"\x8f\xf6\xaa",
    0xe414=>"\x8f\xf6\xab",
    0xe415=>"\x8f\xf6\xac",
    0xe416=>"\x8f\xf6\xad",
    0xe417=>"\x8f\xf6\xae",
    0xe418=>"\x8f\xf6\xaf",
    0xe419=>"\x8f\xf6\xb0",
    0xe41a=>"\x8f\xf6\xb1",
    0xe41b=>"\x8f\xf6\xb2",
    0xe41c=>"\x8f\xf6\xb3",
    0xe41d=>"\x8f\xf6\xb4",
    0xe41e=>"\x8f\xf6\xb5",
    0xe41f=>"\x8f\xf6\xb6",
    0xe420=>"\x8f\xf6\xb7",
    0xe421=>"\x8f\xf6\xb8",
    0xe422=>"\x8f\xf6\xb9",
    0xe423=>"\x8f\xf6\xba",
    0xe424=>"\x8f\xf6\xbb",
    0xe425=>"\x8f\xf6\xbc",
    0xe426=>"\x8f\xf6\xbd",
    0xe427=>"\x8f\xf6\xbe",
    0xe428=>"\x8f\xf6\xbf",
    0xe429=>"\x8f\xf6\xc0",
    0xe42a=>"\x8f\xf6\xc1",
    0xe42b=>"\x8f\xf6\xc2",
    0xe42c=>"\x8f\xf6\xc3",
    0xe42d=>"\x8f\xf6\xc4",
    0xe42e=>"\x8f\xf6\xc5",
    0xe42f=>"\x8f\xf6\xc6",
    0xe430=>"\x8f\xf6\xc7",
    0xe431=>"\x8f\xf6\xc8",
    0xe432=>"\x8f\xf6\xc9",
    0xe433=>"\x8f\xf6\xca",
    0xe434=>"\x8f\xf6\xcb",
    0xe435=>"\x8f\xf6\xcc",
    0xe436=>"\x8f\xf6\xcd",
    0xe437=>"\x8f\xf6\xce",
    0xe438=>"\x8f\xf6\xcf",
    0xe439=>"\x8f\xf6\xd0",
    0xe43a=>"\x8f\xf6\xd1",
    0xe43b=>"\x8f\xf6\xd2",
    0xe43c=>"\x8f\xf6\xd3",
    0xe43d=>"\x8f\xf6\xd4",
    0xe43e=>"\x8f\xf6\xd5",
    0xe43f=>"\x8f\xf6\xd6",
    0xe440=>"\x8f\xf6\xd7",
    0xe441=>"\x8f\xf6\xd8",
    0xe442=>"\x8f\xf6\xd9",
    0xe443=>"\x8f\xf6\xda",
    0xe444=>"\x8f\xf6\xdb",
    0xe445=>"\x8f\xf6\xdc",
    0xe446=>"\x8f\xf6\xdd",
    0xe447=>"\x8f\xf6\xde",
    0xe448=>"\x8f\xf6\xdf",
    0xe449=>"\x8f\xf6\xe0",
    0xe44a=>"\x8f\xf6\xe1",
    0xe44b=>"\x8f\xf6\xe2",
    0xe44c=>"\x8f\xf6\xe3",
    0xe44d=>"\x8f\xf6\xe4",
    0xe44e=>"\x8f\xf6\xe5",
    0xe44f=>"\x8f\xf6\xe6",
    0xe450=>"\x8f\xf6\xe7",
    0xe451=>"\x8f\xf6\xe8",
    0xe452=>"\x8f\xf6\xe9",
    0xe453=>"\x8f\xf6\xea",
    0xe454=>"\x8f\xf6\xeb",
    0xe455=>"\x8f\xf6\xec",
    0xe456=>"\x8f\xf6\xed",
    0xe457=>"\x8f\xf6\xee",
    0xe458=>"\x8f\xf6\xef",
    0xe459=>"\x8f\xf6\xf0",
    0xe45a=>"\x8f\xf6\xf1",
    0xe45b=>"\x8f\xf6\xf2",
    0xe45c=>"\x8f\xf6\xf3",
    0xe45d=>"\x8f\xf6\xf4",
    0xe45e=>"\x8f\xf6\xf5",
    0xe45f=>"\x8f\xf6\xf6",
    0xe460=>"\x8f\xf6\xf7",
    0xe461=>"\x8f\xf6\xf8",
    0xe462=>"\x8f\xf6\xf9",
    0xe463=>"\x8f\xf6\xfa",
    0xe464=>"\x8f\xf6\xfb",
    0xe465=>"\x8f\xf6\xfc",
    0xe466=>"\x8f\xf6\xfd",
    0xe467=>"\x8f\xf6\xfe",
    0xe468=>"\x8f\xf7\xa1",
    0xe469=>"\x8f\xf7\xa2",
    0xe46a=>"\x8f\xf7\xa3",
    0xe46b=>"\x8f\xf7\xa4",
    0xe46c=>"\x8f\xf7\xa5",
    0xe46d=>"\x8f\xf7\xa6",
    0xe46e=>"\x8f\xf7\xa7",
    0xe46f=>"\x8f\xf7\xa8",
    0xe470=>"\x8f\xf7\xa9",
    0xe471=>"\x8f\xf7\xaa",
    0xe472=>"\x8f\xf7\xab",
    0xe473=>"\x8f\xf7\xac",
    0xe474=>"\x8f\xf7\xad",
    0xe475=>"\x8f\xf7\xae",
    0xe476=>"\x8f\xf7\xaf",
    0xe477=>"\x8f\xf7\xb0",
    0xe478=>"\x8f\xf7\xb1",
    0xe479=>"\x8f\xf7\xb2",
    0xe47a=>"\x8f\xf7\xb3",
    0xe47b=>"\x8f\xf7\xb4",
    0xe47c=>"\x8f\xf7\xb5",
    0xe47d=>"\x8f\xf7\xb6",
    0xe47e=>"\x8f\xf7\xb7",
    0xe47f=>"\x8f\xf7\xb8",
    0xe480=>"\x8f\xf7\xb9",
    0xe481=>"\x8f\xf7\xba",
    0xe482=>"\x8f\xf7\xbb",
    0xe483=>"\x8f\xf7\xbc",
    0xe484=>"\x8f\xf7\xbd",
    0xe485=>"\x8f\xf7\xbe",
    0xe486=>"\x8f\xf7\xbf",
    0xe487=>"\x8f\xf7\xc0",
    0xe488=>"\x8f\xf7\xc1",
    0xe489=>"\x8f\xf7\xc2",
    0xe48a=>"\x8f\xf7\xc3",
    0xe48b=>"\x8f\xf7\xc4",
    0xe48c=>"\x8f\xf7\xc5",
    0xe48d=>"\x8f\xf7\xc6",
    0xe48e=>"\x8f\xf7\xc7",
    0xe48f=>"\x8f\xf7\xc8",
    0xe490=>"\x8f\xf7\xc9",
    0xe491=>"\x8f\xf7\xca",
    0xe492=>"\x8f\xf7\xcb",
    0xe493=>"\x8f\xf7\xcc",
    0xe494=>"\x8f\xf7\xcd",
    0xe495=>"\x8f\xf7\xce",
    0xe496=>"\x8f\xf7\xcf",
    0xe497=>"\x8f\xf7\xd0",
    0xe498=>"\x8f\xf7\xd1",
    0xe499=>"\x8f\xf7\xd2",
    0xe49a=>"\x8f\xf7\xd3",
    0xe49b=>"\x8f\xf7\xd4",
    0xe49c=>"\x8f\xf7\xd5",
    0xe49d=>"\x8f\xf7\xd6",
    0xe49e=>"\x8f\xf7\xd7",
    0xe49f=>"\x8f\xf7\xd8",
    0xe4a0=>"\x8f\xf7\xd9",
    0xe4a1=>"\x8f\xf7\xda",
    0xe4a2=>"\x8f\xf7\xdb",
    0xe4a3=>"\x8f\xf7\xdc",
    0xe4a4=>"\x8f\xf7\xdd",
    0xe4a5=>"\x8f\xf7\xde",
    0xe4a6=>"\x8f\xf7\xdf",
    0xe4a7=>"\x8f\xf7\xe0",
    0xe4a8=>"\x8f\xf7\xe1",
    0xe4a9=>"\x8f\xf7\xe2",
    0xe4aa=>"\x8f\xf7\xe3",
    0xe4ab=>"\x8f\xf7\xe4",
    0xe4ac=>"\x8f\xf7\xe5",
    0xe4ad=>"\x8f\xf7\xe6",
    0xe4ae=>"\x8f\xf7\xe7",
    0xe4af=>"\x8f\xf7\xe8",
    0xe4b0=>"\x8f\xf7\xe9",
    0xe4b1=>"\x8f\xf7\xea",
    0xe4b2=>"\x8f\xf7\xeb",
    0xe4b3=>"\x8f\xf7\xec",
    0xe4b4=>"\x8f\xf7\xed",
    0xe4b5=>"\x8f\xf7\xee",
    0xe4b6=>"\x8f\xf7\xef",
    0xe4b7=>"\x8f\xf7\xf0",
    0xe4b8=>"\x8f\xf7\xf1",
    0xe4b9=>"\x8f\xf7\xf2",
    0xe4ba=>"\x8f\xf7\xf3",
    0xe4bb=>"\x8f\xf7\xf4",
    0xe4bc=>"\x8f\xf7\xf5",
    0xe4bd=>"\x8f\xf7\xf6",
    0xe4be=>"\x8f\xf7\xf7",
    0xe4bf=>"\x8f\xf7\xf8",
    0xe4c0=>"\x8f\xf7\xf9",
    0xe4c1=>"\x8f\xf7\xfa",
    0xe4c2=>"\x8f\xf7\xfb",
    0xe4c3=>"\x8f\xf7\xfc",
    0xe4c4=>"\x8f\xf7\xfd",
    0xe4c5=>"\x8f\xf7\xfe",
    0xe4c6=>"\x8f\xf8\xa1",
    0xe4c7=>"\x8f\xf8\xa2",
    0xe4c8=>"\x8f\xf8\xa3",
    0xe4c9=>"\x8f\xf8\xa4",
    0xe4ca=>"\x8f\xf8\xa5",
    0xe4cb=>"\x8f\xf8\xa6",
    0xe4cc=>"\x8f\xf8\xa7",
    0xe4cd=>"\x8f\xf8\xa8",
    0xe4ce=>"\x8f\xf8\xa9",
    0xe4cf=>"\x8f\xf8\xaa",
    0xe4d0=>"\x8f\xf8\xab",
    0xe4d1=>"\x8f\xf8\xac",
    0xe4d2=>"\x8f\xf8\xad",
    0xe4d3=>"\x8f\xf8\xae",
    0xe4d4=>"\x8f\xf8\xaf",
    0xe4d5=>"\x8f\xf8\xb0",
    0xe4d6=>"\x8f\xf8\xb1",
    0xe4d7=>"\x8f\xf8\xb2",
    0xe4d8=>"\x8f\xf8\xb3",
    0xe4d9=>"\x8f\xf8\xb4",
    0xe4da=>"\x8f\xf8\xb5",
    0xe4db=>"\x8f\xf8\xb6",
    0xe4dc=>"\x8f\xf8\xb7",
    0xe4dd=>"\x8f\xf8\xb8",
    0xe4de=>"\x8f\xf8\xb9",
    0xe4df=>"\x8f\xf8\xba",
    0xe4e0=>"\x8f\xf8\xbb",
    0xe4e1=>"\x8f\xf8\xbc",
    0xe4e2=>"\x8f\xf8\xbd",
    0xe4e3=>"\x8f\xf8\xbe",
    0xe4e4=>"\x8f\xf8\xbf",
    0xe4e5=>"\x8f\xf8\xc0",
    0xe4e6=>"\x8f\xf8\xc1",
    0xe4e7=>"\x8f\xf8\xc2",
    0xe4e8=>"\x8f\xf8\xc3",
    0xe4e9=>"\x8f\xf8\xc4",
    0xe4ea=>"\x8f\xf8\xc5",
    0xe4eb=>"\x8f\xf8\xc6",
    0xe4ec=>"\x8f\xf8\xc7",
    0xe4ed=>"\x8f\xf8\xc8",
    0xe4ee=>"\x8f\xf8\xc9",
    0xe4ef=>"\x8f\xf8\xca",
    0xe4f0=>"\x8f\xf8\xcb",
    0xe4f1=>"\x8f\xf8\xcc",
    0xe4f2=>"\x8f\xf8\xcd",
    0xe4f3=>"\x8f\xf8\xce",
    0xe4f4=>"\x8f\xf8\xcf",
    0xe4f5=>"\x8f\xf8\xd0",
    0xe4f6=>"\x8f\xf8\xd1",
    0xe4f7=>"\x8f\xf8\xd2",
    0xe4f8=>"\x8f\xf8\xd3",
    0xe4f9=>"\x8f\xf8\xd4",
    0xe4fa=>"\x8f\xf8\xd5",
    0xe4fb=>"\x8f\xf8\xd6",
    0xe4fc=>"\x8f\xf8\xd7",
    0xe4fd=>"\x8f\xf8\xd8",
    0xe4fe=>"\x8f\xf8\xd9",
    0xe4ff=>"\x8f\xf8\xda",
    0xe500=>"\x8f\xf8\xdb",
    0xe501=>"\x8f\xf8\xdc",
    0xe502=>"\x8f\xf8\xdd",
    0xe503=>"\x8f\xf8\xde",
    0xe504=>"\x8f\xf8\xdf",
    0xe505=>"\x8f\xf8\xe0",
    0xe506=>"\x8f\xf8\xe1",
    0xe507=>"\x8f\xf8\xe2",
    0xe508=>"\x8f\xf8\xe3",
    0xe509=>"\x8f\xf8\xe4",
    0xe50a=>"\x8f\xf8\xe5",
    0xe50b=>"\x8f\xf8\xe6",
    0xe50c=>"\x8f\xf8\xe7",
    0xe50d=>"\x8f\xf8\xe8",
    0xe50e=>"\x8f\xf8\xe9",
    0xe50f=>"\x8f\xf8\xea",
    0xe510=>"\x8f\xf8\xeb",
    0xe511=>"\x8f\xf8\xec",
    0xe512=>"\x8f\xf8\xed",
    0xe513=>"\x8f\xf8\xee",
    0xe514=>"\x8f\xf8\xef",
    0xe515=>"\x8f\xf8\xf0",
    0xe516=>"\x8f\xf8\xf1",
    0xe517=>"\x8f\xf8\xf2",
    0xe518=>"\x8f\xf8\xf3",
    0xe519=>"\x8f\xf8\xf4",
    0xe51a=>"\x8f\xf8\xf5",
    0xe51b=>"\x8f\xf8\xf6",
    0xe51c=>"\x8f\xf8\xf7",
    0xe51d=>"\x8f\xf8\xf8",
    0xe51e=>"\x8f\xf8\xf9",
    0xe51f=>"\x8f\xf8\xfa",
    0xe520=>"\x8f\xf8\xfb",
    0xe521=>"\x8f\xf8\xfc",
    0xe522=>"\x8f\xf8\xfd",
    0xe523=>"\x8f\xf8\xfe",
    0xe524=>"\x8f\xf9\xa1",
    0xe525=>"\x8f\xf9\xa2",
    0xe526=>"\x8f\xf9\xa3",
    0xe527=>"\x8f\xf9\xa4",
    0xe528=>"\x8f\xf9\xa5",
    0xe529=>"\x8f\xf9\xa6",
    0xe52a=>"\x8f\xf9\xa7",
    0xe52b=>"\x8f\xf9\xa8",
    0xe52c=>"\x8f\xf9\xa9",
    0xe52d=>"\x8f\xf9\xaa",
    0xe52e=>"\x8f\xf9\xab",
    0xe52f=>"\x8f\xf9\xac",
    0xe530=>"\x8f\xf9\xad",
    0xe531=>"\x8f\xf9\xae",
    0xe532=>"\x8f\xf9\xaf",
    0xe533=>"\x8f\xf9\xb0",
    0xe534=>"\x8f\xf9\xb1",
    0xe535=>"\x8f\xf9\xb2",
    0xe536=>"\x8f\xf9\xb3",
    0xe537=>"\x8f\xf9\xb4",
    0xe538=>"\x8f\xf9\xb5",
    0xe539=>"\x8f\xf9\xb6",
    0xe53a=>"\x8f\xf9\xb7",
    0xe53b=>"\x8f\xf9\xb8",
    0xe53c=>"\x8f\xf9\xb9",
    0xe53d=>"\x8f\xf9\xba",
    0xe53e=>"\x8f\xf9\xbb",
    0xe53f=>"\x8f\xf9\xbc",
    0xe540=>"\x8f\xf9\xbd",
    0xe541=>"\x8f\xf9\xbe",
    0xe542=>"\x8f\xf9\xbf",
    0xe543=>"\x8f\xf9\xc0",
    0xe544=>"\x8f\xf9\xc1",
    0xe545=>"\x8f\xf9\xc2",
    0xe546=>"\x8f\xf9\xc3",
    0xe547=>"\x8f\xf9\xc4",
    0xe548=>"\x8f\xf9\xc5",
    0xe549=>"\x8f\xf9\xc6",
    0xe54a=>"\x8f\xf9\xc7",
    0xe54b=>"\x8f\xf9\xc8",
    0xe54c=>"\x8f\xf9\xc9",
    0xe54d=>"\x8f\xf9\xca",
    0xe54e=>"\x8f\xf9\xcb",
    0xe54f=>"\x8f\xf9\xcc",
    0xe550=>"\x8f\xf9\xcd",
    0xe551=>"\x8f\xf9\xce",
    0xe552=>"\x8f\xf9\xcf",
    0xe553=>"\x8f\xf9\xd0",
    0xe554=>"\x8f\xf9\xd1",
    0xe555=>"\x8f\xf9\xd2",
    0xe556=>"\x8f\xf9\xd3",
    0xe557=>"\x8f\xf9\xd4",
    0xe558=>"\x8f\xf9\xd5",
    0xe559=>"\x8f\xf9\xd6",
    0xe55a=>"\x8f\xf9\xd7",
    0xe55b=>"\x8f\xf9\xd8",
    0xe55c=>"\x8f\xf9\xd9",
    0xe55d=>"\x8f\xf9\xda",
    0xe55e=>"\x8f\xf9\xdb",
    0xe55f=>"\x8f\xf9\xdc",
    0xe560=>"\x8f\xf9\xdd",
    0xe561=>"\x8f\xf9\xde",
    0xe562=>"\x8f\xf9\xdf",
    0xe563=>"\x8f\xf9\xe0",
    0xe564=>"\x8f\xf9\xe1",
    0xe565=>"\x8f\xf9\xe2",
    0xe566=>"\x8f\xf9\xe3",
    0xe567=>"\x8f\xf9\xe4",
    0xe568=>"\x8f\xf9\xe5",
    0xe569=>"\x8f\xf9\xe6",
    0xe56a=>"\x8f\xf9\xe7",
    0xe56b=>"\x8f\xf9\xe8",
    0xe56c=>"\x8f\xf9\xe9",
    0xe56d=>"\x8f\xf9\xea",
    0xe56e=>"\x8f\xf9\xeb",
    0xe56f=>"\x8f\xf9\xec",
    0xe570=>"\x8f\xf9\xed",
    0xe571=>"\x8f\xf9\xee",
    0xe572=>"\x8f\xf9\xef",
    0xe573=>"\x8f\xf9\xf0",
    0xe574=>"\x8f\xf9\xf1",
    0xe575=>"\x8f\xf9\xf2",
    0xe576=>"\x8f\xf9\xf3",
    0xe577=>"\x8f\xf9\xf4",
    0xe578=>"\x8f\xf9\xf5",
    0xe579=>"\x8f\xf9\xf6",
    0xe57a=>"\x8f\xf9\xf7",
    0xe57b=>"\x8f\xf9\xf8",
    0xe57c=>"\x8f\xf9\xf9",
    0xe57d=>"\x8f\xf9\xfa",
    0xe57e=>"\x8f\xf9\xfb",
    0xe57f=>"\x8f\xf9\xfc",
    0xe580=>"\x8f\xf9\xfd",
    0xe581=>"\x8f\xf9\xfe",
    0xe582=>"\x8f\xfa\xa1",
    0xe583=>"\x8f\xfa\xa2",
    0xe584=>"\x8f\xfa\xa3",
    0xe585=>"\x8f\xfa\xa4",
    0xe586=>"\x8f\xfa\xa5",
    0xe587=>"\x8f\xfa\xa6",
    0xe588=>"\x8f\xfa\xa7",
    0xe589=>"\x8f\xfa\xa8",
    0xe58a=>"\x8f\xfa\xa9",
    0xe58b=>"\x8f\xfa\xaa",
    0xe58c=>"\x8f\xfa\xab",
    0xe58d=>"\x8f\xfa\xac",
    0xe58e=>"\x8f\xfa\xad",
    0xe58f=>"\x8f\xfa\xae",
    0xe590=>"\x8f\xfa\xaf",
    0xe591=>"\x8f\xfa\xb0",
    0xe592=>"\x8f\xfa\xb1",
    0xe593=>"\x8f\xfa\xb2",
    0xe594=>"\x8f\xfa\xb3",
    0xe595=>"\x8f\xfa\xb4",
    0xe596=>"\x8f\xfa\xb5",
    0xe597=>"\x8f\xfa\xb6",
    0xe598=>"\x8f\xfa\xb7",
    0xe599=>"\x8f\xfa\xb8",
    0xe59a=>"\x8f\xfa\xb9",
    0xe59b=>"\x8f\xfa\xba",
    0xe59c=>"\x8f\xfa\xbb",
    0xe59d=>"\x8f\xfa\xbc",
    0xe59e=>"\x8f\xfa\xbd",
    0xe59f=>"\x8f\xfa\xbe",
    0xe5a0=>"\x8f\xfa\xbf",
    0xe5a1=>"\x8f\xfa\xc0",
    0xe5a2=>"\x8f\xfa\xc1",
    0xe5a3=>"\x8f\xfa\xc2",
    0xe5a4=>"\x8f\xfa\xc3",
    0xe5a5=>"\x8f\xfa\xc4",
    0xe5a6=>"\x8f\xfa\xc5",
    0xe5a7=>"\x8f\xfa\xc6",
    0xe5a8=>"\x8f\xfa\xc7",
    0xe5a9=>"\x8f\xfa\xc8",
    0xe5aa=>"\x8f\xfa\xc9",
    0xe5ab=>"\x8f\xfa\xca",
    0xe5ac=>"\x8f\xfa\xcb",
    0xe5ad=>"\x8f\xfa\xcc",
    0xe5ae=>"\x8f\xfa\xcd",
    0xe5af=>"\x8f\xfa\xce",
    0xe5b0=>"\x8f\xfa\xcf",
    0xe5b1=>"\x8f\xfa\xd0",
    0xe5b2=>"\x8f\xfa\xd1",
    0xe5b3=>"\x8f\xfa\xd2",
    0xe5b4=>"\x8f\xfa\xd3",
    0xe5b5=>"\x8f\xfa\xd4",
    0xe5b6=>"\x8f\xfa\xd5",
    0xe5b7=>"\x8f\xfa\xd6",
    0xe5b8=>"\x8f\xfa\xd7",
    0xe5b9=>"\x8f\xfa\xd8",
    0xe5ba=>"\x8f\xfa\xd9",
    0xe5bb=>"\x8f\xfa\xda",
    0xe5bc=>"\x8f\xfa\xdb",
    0xe5bd=>"\x8f\xfa\xdc",
    0xe5be=>"\x8f\xfa\xdd",
    0xe5bf=>"\x8f\xfa\xde",
    0xe5c0=>"\x8f\xfa\xdf",
    0xe5c1=>"\x8f\xfa\xe0",
    0xe5c2=>"\x8f\xfa\xe1",
    0xe5c3=>"\x8f\xfa\xe2",
    0xe5c4=>"\x8f\xfa\xe3",
    0xe5c5=>"\x8f\xfa\xe4",
    0xe5c6=>"\x8f\xfa\xe5",
    0xe5c7=>"\x8f\xfa\xe6",
    0xe5c8=>"\x8f\xfa\xe7",
    0xe5c9=>"\x8f\xfa\xe8",
    0xe5ca=>"\x8f\xfa\xe9",
    0xe5cb=>"\x8f\xfa\xea",
    0xe5cc=>"\x8f\xfa\xeb",
    0xe5cd=>"\x8f\xfa\xec",
    0xe5ce=>"\x8f\xfa\xed",
    0xe5cf=>"\x8f\xfa\xee",
    0xe5d0=>"\x8f\xfa\xef",
    0xe5d1=>"\x8f\xfa\xf0",
    0xe5d2=>"\x8f\xfa\xf1",
    0xe5d3=>"\x8f\xfa\xf2",
    0xe5d4=>"\x8f\xfa\xf3",
    0xe5d5=>"\x8f\xfa\xf4",
    0xe5d6=>"\x8f\xfa\xf5",
    0xe5d7=>"\x8f\xfa\xf6",
    0xe5d8=>"\x8f\xfa\xf7",
    0xe5d9=>"\x8f\xfa\xf8",
    0xe5da=>"\x8f\xfa\xf9",
    0xe5db=>"\x8f\xfa\xfa",
    0xe5dc=>"\x8f\xfa\xfb",
    0xe5dd=>"\x8f\xfa\xfc",
    0xe5de=>"\x8f\xfa\xfd",
    0xe5df=>"\x8f\xfa\xfe",
    0xe5e0=>"\x8f\xfb\xa1",
    0xe5e1=>"\x8f\xfb\xa2",
    0xe5e2=>"\x8f\xfb\xa3",
    0xe5e3=>"\x8f\xfb\xa4",
    0xe5e4=>"\x8f\xfb\xa5",
    0xe5e5=>"\x8f\xfb\xa6",
    0xe5e6=>"\x8f\xfb\xa7",
    0xe5e7=>"\x8f\xfb\xa8",
    0xe5e8=>"\x8f\xfb\xa9",
    0xe5e9=>"\x8f\xfb\xaa",
    0xe5ea=>"\x8f\xfb\xab",
    0xe5eb=>"\x8f\xfb\xac",
    0xe5ec=>"\x8f\xfb\xad",
    0xe5ed=>"\x8f\xfb\xae",
    0xe5ee=>"\x8f\xfb\xaf",
    0xe5ef=>"\x8f\xfb\xb0",
    0xe5f0=>"\x8f\xfb\xb1",
    0xe5f1=>"\x8f\xfb\xb2",
    0xe5f2=>"\x8f\xfb\xb3",
    0xe5f3=>"\x8f\xfb\xb4",
    0xe5f4=>"\x8f\xfb\xb5",
    0xe5f5=>"\x8f\xfb\xb6",
    0xe5f6=>"\x8f\xfb\xb7",
    0xe5f7=>"\x8f\xfb\xb8",
    0xe5f8=>"\x8f\xfb\xb9",
    0xe5f9=>"\x8f\xfb\xba",
    0xe5fa=>"\x8f\xfb\xbb",
    0xe5fb=>"\x8f\xfb\xbc",
    0xe5fc=>"\x8f\xfb\xbd",
    0xe5fd=>"\x8f\xfb\xbe",
    0xe5fe=>"\x8f\xfb\xbf",
    0xe5ff=>"\x8f\xfb\xc0",
    0xe600=>"\x8f\xfb\xc1",
    0xe601=>"\x8f\xfb\xc2",
    0xe602=>"\x8f\xfb\xc3",
    0xe603=>"\x8f\xfb\xc4",
    0xe604=>"\x8f\xfb\xc5",
    0xe605=>"\x8f\xfb\xc6",
    0xe606=>"\x8f\xfb\xc7",
    0xe607=>"\x8f\xfb\xc8",
    0xe608=>"\x8f\xfb\xc9",
    0xe609=>"\x8f\xfb\xca",
    0xe60a=>"\x8f\xfb\xcb",
    0xe60b=>"\x8f\xfb\xcc",
    0xe60c=>"\x8f\xfb\xcd",
    0xe60d=>"\x8f\xfb\xce",
    0xe60e=>"\x8f\xfb\xcf",
    0xe60f=>"\x8f\xfb\xd0",
    0xe610=>"\x8f\xfb\xd1",
    0xe611=>"\x8f\xfb\xd2",
    0xe612=>"\x8f\xfb\xd3",
    0xe613=>"\x8f\xfb\xd4",
    0xe614=>"\x8f\xfb\xd5",
    0xe615=>"\x8f\xfb\xd6",
    0xe616=>"\x8f\xfb\xd7",
    0xe617=>"\x8f\xfb\xd8",
    0xe618=>"\x8f\xfb\xd9",
    0xe619=>"\x8f\xfb\xda",
    0xe61a=>"\x8f\xfb\xdb",
    0xe61b=>"\x8f\xfb\xdc",
    0xe61c=>"\x8f\xfb\xdd",
    0xe61d=>"\x8f\xfb\xde",
    0xe61e=>"\x8f\xfb\xdf",
    0xe61f=>"\x8f\xfb\xe0",
    0xe620=>"\x8f\xfb\xe1",
    0xe621=>"\x8f\xfb\xe2",
    0xe622=>"\x8f\xfb\xe3",
    0xe623=>"\x8f\xfb\xe4",
    0xe624=>"\x8f\xfb\xe5",
    0xe625=>"\x8f\xfb\xe6",
    0xe626=>"\x8f\xfb\xe7",
    0xe627=>"\x8f\xfb\xe8",
    0xe628=>"\x8f\xfb\xe9",
    0xe629=>"\x8f\xfb\xea",
    0xe62a=>"\x8f\xfb\xeb",
    0xe62b=>"\x8f\xfb\xec",
    0xe62c=>"\x8f\xfb\xed",
    0xe62d=>"\x8f\xfb\xee",
    0xe62e=>"\x8f\xfb\xef",
    0xe62f=>"\x8f\xfb\xf0",
    0xe630=>"\x8f\xfb\xf1",
    0xe631=>"\x8f\xfb\xf2",
    0xe632=>"\x8f\xfb\xf3",
    0xe633=>"\x8f\xfb\xf4",
    0xe634=>"\x8f\xfb\xf5",
    0xe635=>"\x8f\xfb\xf6",
    0xe636=>"\x8f\xfb\xf7",
    0xe637=>"\x8f\xfb\xf8",
    0xe638=>"\x8f\xfb\xf9",
    0xe639=>"\x8f\xfb\xfa",
    0xe63a=>"\x8f\xfb\xfb",
    0xe63b=>"\x8f\xfb\xfc",
    0xe63c=>"\x8f\xfb\xfd",
    0xe63d=>"\x8f\xfb\xfe",
    0xe63e=>"\x8f\xfc\xa1",
    0xe63f=>"\x8f\xfc\xa2",
    0xe640=>"\x8f\xfc\xa3",
    0xe641=>"\x8f\xfc\xa4",
    0xe642=>"\x8f\xfc\xa5",
    0xe643=>"\x8f\xfc\xa6",
    0xe644=>"\x8f\xfc\xa7",
    0xe645=>"\x8f\xfc\xa8",
    0xe646=>"\x8f\xfc\xa9",
    0xe647=>"\x8f\xfc\xaa",
    0xe648=>"\x8f\xfc\xab",
    0xe649=>"\x8f\xfc\xac",
    0xe64a=>"\x8f\xfc\xad",
    0xe64b=>"\x8f\xfc\xae",
    0xe64c=>"\x8f\xfc\xaf",
    0xe64d=>"\x8f\xfc\xb0",
    0xe64e=>"\x8f\xfc\xb1",
    0xe64f=>"\x8f\xfc\xb2",
    0xe650=>"\x8f\xfc\xb3",
    0xe651=>"\x8f\xfc\xb4",
    0xe652=>"\x8f\xfc\xb5",
    0xe653=>"\x8f\xfc\xb6",
    0xe654=>"\x8f\xfc\xb7",
    0xe655=>"\x8f\xfc\xb8",
    0xe656=>"\x8f\xfc\xb9",
    0xe657=>"\x8f\xfc\xba",
    0xe658=>"\x8f\xfc\xbb",
    0xe659=>"\x8f\xfc\xbc",
    0xe65a=>"\x8f\xfc\xbd",
    0xe65b=>"\x8f\xfc\xbe",
    0xe65c=>"\x8f\xfc\xbf",
    0xe65d=>"\x8f\xfc\xc0",
    0xe65e=>"\x8f\xfc\xc1",
    0xe65f=>"\x8f\xfc\xc2",
    0xe660=>"\x8f\xfc\xc3",
    0xe661=>"\x8f\xfc\xc4",
    0xe662=>"\x8f\xfc\xc5",
    0xe663=>"\x8f\xfc\xc6",
    0xe664=>"\x8f\xfc\xc7",
    0xe665=>"\x8f\xfc\xc8",
    0xe666=>"\x8f\xfc\xc9",
    0xe667=>"\x8f\xfc\xca",
    0xe668=>"\x8f\xfc\xcb",
    0xe669=>"\x8f\xfc\xcc",
    0xe66a=>"\x8f\xfc\xcd",
    0xe66b=>"\x8f\xfc\xce",
    0xe66c=>"\x8f\xfc\xcf",
    0xe66d=>"\x8f\xfc\xd0",
    0xe66e=>"\x8f\xfc\xd1",
    0xe66f=>"\x8f\xfc\xd2",
    0xe670=>"\x8f\xfc\xd3",
    0xe671=>"\x8f\xfc\xd4",
    0xe672=>"\x8f\xfc\xd5",
    0xe673=>"\x8f\xfc\xd6",
    0xe674=>"\x8f\xfc\xd7",
    0xe675=>"\x8f\xfc\xd8",
    0xe676=>"\x8f\xfc\xd9",
    0xe677=>"\x8f\xfc\xda",
    0xe678=>"\x8f\xfc\xdb",
    0xe679=>"\x8f\xfc\xdc",
    0xe67a=>"\x8f\xfc\xdd",
    0xe67b=>"\x8f\xfc\xde",
    0xe67c=>"\x8f\xfc\xdf",
    0xe67d=>"\x8f\xfc\xe0",
    0xe67e=>"\x8f\xfc\xe1",
    0xe67f=>"\x8f\xfc\xe2",
    0xe680=>"\x8f\xfc\xe3",
    0xe681=>"\x8f\xfc\xe4",
    0xe682=>"\x8f\xfc\xe5",
    0xe683=>"\x8f\xfc\xe6",
    0xe684=>"\x8f\xfc\xe7",
    0xe685=>"\x8f\xfc\xe8",
    0xe686=>"\x8f\xfc\xe9",
    0xe687=>"\x8f\xfc\xea",
    0xe688=>"\x8f\xfc\xeb",
    0xe689=>"\x8f\xfc\xec",
    0xe68a=>"\x8f\xfc\xed",
    0xe68b=>"\x8f\xfc\xee",
    0xe68c=>"\x8f\xfc\xef",
    0xe68d=>"\x8f\xfc\xf0",
    0xe68e=>"\x8f\xfc\xf1",
    0xe68f=>"\x8f\xfc\xf2",
    0xe690=>"\x8f\xfc\xf3",
    0xe691=>"\x8f\xfc\xf4",
    0xe692=>"\x8f\xfc\xf5",
    0xe693=>"\x8f\xfc\xf6",
    0xe694=>"\x8f\xfc\xf7",
    0xe695=>"\x8f\xfc\xf8",
    0xe696=>"\x8f\xfc\xf9",
    0xe697=>"\x8f\xfc\xfa",
    0xe698=>"\x8f\xfc\xfb",
    0xe699=>"\x8f\xfc\xfc",
    0xe69a=>"\x8f\xfc\xfd",
    0xe69b=>"\x8f\xfc\xfe",
    0xe69c=>"\x8f\xfd\xa1",
    0xe69d=>"\x8f\xfd\xa2",
    0xe69e=>"\x8f\xfd\xa3",
    0xe69f=>"\x8f\xfd\xa4",
    0xe6a0=>"\x8f\xfd\xa5",
    0xe6a1=>"\x8f\xfd\xa6",
    0xe6a2=>"\x8f\xfd\xa7",
    0xe6a3=>"\x8f\xfd\xa8",
    0xe6a4=>"\x8f\xfd\xa9",
    0xe6a5=>"\x8f\xfd\xaa",
    0xe6a6=>"\x8f\xfd\xab",
    0xe6a7=>"\x8f\xfd\xac",
    0xe6a8=>"\x8f\xfd\xad",
    0xe6a9=>"\x8f\xfd\xae",
    0xe6aa=>"\x8f\xfd\xaf",
    0xe6ab=>"\x8f\xfd\xb0",
    0xe6ac=>"\x8f\xfd\xb1",
    0xe6ad=>"\x8f\xfd\xb2",
    0xe6ae=>"\x8f\xfd\xb3",
    0xe6af=>"\x8f\xfd\xb4",
    0xe6b0=>"\x8f\xfd\xb5",
    0xe6b1=>"\x8f\xfd\xb6",
    0xe6b2=>"\x8f\xfd\xb7",
    0xe6b3=>"\x8f\xfd\xb8",
    0xe6b4=>"\x8f\xfd\xb9",
    0xe6b5=>"\x8f\xfd\xba",
    0xe6b6=>"\x8f\xfd\xbb",
    0xe6b7=>"\x8f\xfd\xbc",
    0xe6b8=>"\x8f\xfd\xbd",
    0xe6b9=>"\x8f\xfd\xbe",
    0xe6ba=>"\x8f\xfd\xbf",
    0xe6bb=>"\x8f\xfd\xc0",
    0xe6bc=>"\x8f\xfd\xc1",
    0xe6bd=>"\x8f\xfd\xc2",
    0xe6be=>"\x8f\xfd\xc3",
    0xe6bf=>"\x8f\xfd\xc4",
    0xe6c0=>"\x8f\xfd\xc5",
    0xe6c1=>"\x8f\xfd\xc6",
    0xe6c2=>"\x8f\xfd\xc7",
    0xe6c3=>"\x8f\xfd\xc8",
    0xe6c4=>"\x8f\xfd\xc9",
    0xe6c5=>"\x8f\xfd\xca",
    0xe6c6=>"\x8f\xfd\xcb",
    0xe6c7=>"\x8f\xfd\xcc",
    0xe6c8=>"\x8f\xfd\xcd",
    0xe6c9=>"\x8f\xfd\xce",
    0xe6ca=>"\x8f\xfd\xcf",
    0xe6cb=>"\x8f\xfd\xd0",
    0xe6cc=>"\x8f\xfd\xd1",
    0xe6cd=>"\x8f\xfd\xd2",
    0xe6ce=>"\x8f\xfd\xd3",
    0xe6cf=>"\x8f\xfd\xd4",
    0xe6d0=>"\x8f\xfd\xd5",
    0xe6d1=>"\x8f\xfd\xd6",
    0xe6d2=>"\x8f\xfd\xd7",
    0xe6d3=>"\x8f\xfd\xd8",
    0xe6d4=>"\x8f\xfd\xd9",
    0xe6d5=>"\x8f\xfd\xda",
    0xe6d6=>"\x8f\xfd\xdb",
    0xe6d7=>"\x8f\xfd\xdc",
    0xe6d8=>"\x8f\xfd\xdd",
    0xe6d9=>"\x8f\xfd\xde",
    0xe6da=>"\x8f\xfd\xdf",
    0xe6db=>"\x8f\xfd\xe0",
    0xe6dc=>"\x8f\xfd\xe1",
    0xe6dd=>"\x8f\xfd\xe2",
    0xe6de=>"\x8f\xfd\xe3",
    0xe6df=>"\x8f\xfd\xe4",
    0xe6e0=>"\x8f\xfd\xe5",
    0xe6e1=>"\x8f\xfd\xe6",
    0xe6e2=>"\x8f\xfd\xe7",
    0xe6e3=>"\x8f\xfd\xe8",
    0xe6e4=>"\x8f\xfd\xe9",
    0xe6e5=>"\x8f\xfd\xea",
    0xe6e6=>"\x8f\xfd\xeb",
    0xe6e7=>"\x8f\xfd\xec",
    0xe6e8=>"\x8f\xfd\xed",
    0xe6e9=>"\x8f\xfd\xee",
    0xe6ea=>"\x8f\xfd\xef",
    0xe6eb=>"\x8f\xfd\xf0",
    0xe6ec=>"\x8f\xfd\xf1",
    0xe6ed=>"\x8f\xfd\xf2",
    0xe6ee=>"\x8f\xfd\xf3",
    0xe6ef=>"\x8f\xfd\xf4",
    0xe6f0=>"\x8f\xfd\xf5",
    0xe6f1=>"\x8f\xfd\xf6",
    0xe6f2=>"\x8f\xfd\xf7",
    0xe6f3=>"\x8f\xfd\xf8",
    0xe6f4=>"\x8f\xfd\xf9",
    0xe6f5=>"\x8f\xfd\xfa",
    0xe6f6=>"\x8f\xfd\xfb",
    0xe6f7=>"\x8f\xfd\xfc",
    0xe6f8=>"\x8f\xfd\xfd",
    0xe6f9=>"\x8f\xfd\xfe",
    0xe6fa=>"\x8f\xfe\xa1",
    0xe6fb=>"\x8f\xfe\xa2",
    0xe6fc=>"\x8f\xfe\xa3",
    0xe6fd=>"\x8f\xfe\xa4",
    0xe6fe=>"\x8f\xfe\xa5",
    0xe6ff=>"\x8f\xfe\xa6",
    0xe700=>"\x8f\xfe\xa7",
    0xe701=>"\x8f\xfe\xa8",
    0xe702=>"\x8f\xfe\xa9",
    0xe703=>"\x8f\xfe\xaa",
    0xe704=>"\x8f\xfe\xab",
    0xe705=>"\x8f\xfe\xac",
    0xe706=>"\x8f\xfe\xad",
    0xe707=>"\x8f\xfe\xae",
    0xe708=>"\x8f\xfe\xaf",
    0xe709=>"\x8f\xfe\xb0",
    0xe70a=>"\x8f\xfe\xb1",
    0xe70b=>"\x8f\xfe\xb2",
    0xe70c=>"\x8f\xfe\xb3",
    0xe70d=>"\x8f\xfe\xb4",
    0xe70e=>"\x8f\xfe\xb5",
    0xe70f=>"\x8f\xfe\xb6",
    0xe710=>"\x8f\xfe\xb7",
    0xe711=>"\x8f\xfe\xb8",
    0xe712=>"\x8f\xfe\xb9",
    0xe713=>"\x8f\xfe\xba",
    0xe714=>"\x8f\xfe\xbb",
    0xe715=>"\x8f\xfe\xbc",
    0xe716=>"\x8f\xfe\xbd",
    0xe717=>"\x8f\xfe\xbe",
    0xe718=>"\x8f\xfe\xbf",
    0xe719=>"\x8f\xfe\xc0",
    0xe71a=>"\x8f\xfe\xc1",
    0xe71b=>"\x8f\xfe\xc2",
    0xe71c=>"\x8f\xfe\xc3",
    0xe71d=>"\x8f\xfe\xc4",
    0xe71e=>"\x8f\xfe\xc5",
    0xe71f=>"\x8f\xfe\xc6",
    0xe720=>"\x8f\xfe\xc7",
    0xe721=>"\x8f\xfe\xc8",
    0xe722=>"\x8f\xfe\xc9",
    0xe723=>"\x8f\xfe\xca",
    0xe724=>"\x8f\xfe\xcb",
    0xe725=>"\x8f\xfe\xcc",
    0xe726=>"\x8f\xfe\xcd",
    0xe727=>"\x8f\xfe\xce",
    0xe728=>"\x8f\xfe\xcf",
    0xe729=>"\x8f\xfe\xd0",
    0xe72a=>"\x8f\xfe\xd1",
    0xe72b=>"\x8f\xfe\xd2",
    0xe72c=>"\x8f\xfe\xd3",
    0xe72d=>"\x8f\xfe\xd4",
    0xe72e=>"\x8f\xfe\xd5",
    0xe72f=>"\x8f\xfe\xd6",
    0xe730=>"\x8f\xfe\xd7",
    0xe731=>"\x8f\xfe\xd8",
    0xe732=>"\x8f\xfe\xd9",
    0xe733=>"\x8f\xfe\xda",
    0xe734=>"\x8f\xfe\xdb",
    0xe735=>"\x8f\xfe\xdc",
    0xe736=>"\x8f\xfe\xdd",
    0xe737=>"\x8f\xfe\xde",
    0xe738=>"\x8f\xfe\xdf",
    0xe739=>"\x8f\xfe\xe0",
    0xe73a=>"\x8f\xfe\xe1",
    0xe73b=>"\x8f\xfe\xe2",
    0xe73c=>"\x8f\xfe\xe3",
    0xe73d=>"\x8f\xfe\xe4",
    0xe73e=>"\x8f\xfe\xe5",
    0xe73f=>"\x8f\xfe\xe6",
    0xe740=>"\x8f\xfe\xe7",
    0xe741=>"\x8f\xfe\xe8",
    0xe742=>"\x8f\xfe\xe9",
    0xe743=>"\x8f\xfe\xea",
    0xe744=>"\x8f\xfe\xeb",
    0xe745=>"\x8f\xfe\xec",
    0xe746=>"\x8f\xfe\xed",
    0xe747=>"\x8f\xfe\xee",
    0xe748=>"\x8f\xfe\xef",
    0xe749=>"\x8f\xfe\xf0",
    0xe74a=>"\x8f\xfe\xf1",
    0xe74b=>"\x8f\xfe\xf2",
    0xe74c=>"\x8f\xfe\xf3",
    0xe74d=>"\x8f\xfe\xf4",
    0xe74e=>"\x8f\xfe\xf5",
    0xe74f=>"\x8f\xfe\xf6",
    0xe750=>"\x8f\xfe\xf7",
    0xe751=>"\x8f\xfe\xf8",
    0xe752=>"\x8f\xfe\xf9",
    0xe753=>"\x8f\xfe\xfa",
    0xe754=>"\x8f\xfe\xfb",
    0xe755=>"\x8f\xfe\xfc",
    0xe756=>"\x8f\xfe\xfd",
    0xe757=>"\x8f\xfe\xfe",
    0xf929=>"\x8f\xf4\xc5",
    0xf9dc=>"\x8f\xf4\xf2",
    0xfa0e=>"\x8f\xf4\xb4",
    0xfa0f=>"\x8f\xf4\xb7",
    0xfa10=>"\x8f\xf4\xb8",
    0xfa11=>"\x8f\xf4\xbd",
    0xfa12=>"\x8f\xf4\xc4",
    0xfa13=>"\x8f\xf4\xc7",
    0xfa14=>"\x8f\xf4\xc8",
    0xfa15=>"\x8f\xf4\xce",
    0xfa16=>"\x8f\xf4\xcf",
    0xfa17=>"\x8f\xf4\xd3",
    0xfa18=>"\x8f\xf4\xd5",
    0xfa19=>"\x8f\xf4\xd6",
    0xfa1a=>"\x8f\xf4\xd7",
    0xfa1b=>"\x8f\xf4\xd8",
    0xfa1c=>"\x8f\xf4\xda",
    0xfa1d=>"\x8f\xf4\xdb",
    0xfa1e=>"\x8f\xf4\xde",
    0xfa1f=>"\x8f\xf4\xe0",
    0xfa20=>"\x8f\xf4\xe2",
    0xfa21=>"\x8f\xf4\xe3",
    0xfa22=>"\x8f\xf4\xe5",
    0xfa23=>"\x8f\xf4\xe9",
    0xfa24=>"\x8f\xf4\xea",
    0xfa25=>"\x8f\xf4\xeb",
    0xfa26=>"\x8f\xf4\xed",
    0xfa27=>"\x8f\xf4\xef",
    0xfa28=>"\x8f\xf4\xf0",
    0xfa29=>"\x8f\xf4\xf3",
    0xfa2a=>"\x8f\xf4\xf7",
    0xfa2b=>"\x8f\xf4\xf8",
    0xfa2c=>"\x8f\xf4\xf9",
    0xfa2d=>"\x8f\xf4\xfd",
    0xff02=>"\x8f\xf4\xaa",
    0xff07=>"\x8f\xf4\xa9",
    0xff0d=>"\xa1\xdd",
    0xff3c=>"\xa1\xc0",
    0xff5e=>"\xa1\xc1",
    0xffe0=>"\xa1\xf1",
    0xffe1=>"\xa1\xf2",
    0xffe2=>"\xa2\xcc",
    0xffe4=>"\x8f\xa2\xc3",
  }


  def seld.eucjp_open()
    self.euc_hook = proc do |e|
      EUCJPOPEN_UCS_MAP[e]
    end

    self.unicode_euc_hook = proc do |u|
      UCS_EUCJPOPEN_MAP[u]
    end
  end

end

Uconv.eucjp_open
